/*
 * Name:
 *	OLEConsts.h
 *
 * Copyright 1986-2002 Adobe Systems Incorporated.
 * All Rights Reserved.
 *
 * Purpose:
 *	Definition of OLE constants.
 *
 * Distribution:
 *	PUBLIC
 *
 * Version history:
 *	Perl script generated this file on Fri, 21 Dec 2001 18:48:51 GMT
 *		Created by Tom Ruark.
 *	1.0.6 4/12/1998	CM	Sixth version.
 *		Created by Charles McBrian.
 */

#ifndef OLECONSTS_H
#define OLECONSTS_H

#if PRAGMA_ONCE
#pragma once
#endif

#if qVBLizards

typedef enum
	{
	// stuff that's not in PITerminology.h
	phDialogDontDisplay = 0,
	phDialogDisplay = 1,
	phDialogSilent = 2,
	phTypeEnumerated = 1701737837,                                       //	
	phTypeFloat = 1685026146,                                            //	
	phTypeInteger = 1819242087,                                          //	
	phTypeBoolean = 1651470188,                                          //	
	phTypeAlias = 1634494835,                                            //	
	phTypeNull = 1853189228,                                             //	
	phFormAbsolutePosition = 1768842360,                                 //	
	phFormPropertyID = 1886547824,                                       //	
	phFormRelativePosition = 1919249509,                                 //	
	phTypeType = 1954115685,                                             //	
	phTypeChar = 1413830740,                                             //	
	phTypePath = 1349806112,                                             //	
	phTypeObjectSpecifier = 1868720672,                                  //	
	phTypeDouble = 1685026146,                                           //	
	phTypeUnitDouble = 1433302086,                                       //	
	phEnumGrayscales = 1198684531,                                       //	
	phKeySelection = 1718838636,                                         //	

	phClassAction = 0x4163746e,                                          //	'Actn'
	phClassActionSet = 0x41536574,                                       //	'ASet'
	phClassAdjustment = 0x41646a73,                                      //	'Adjs'
	phClassAdjustmentLayer = 0x41646a4c,                                 //	'AdjL'
	phClassAirbrushTool = 0x4162546c,                                    //	'AbTl'
	phClassAlphaChannelOptions = 0x4143686c,                             //	'AChl'
	phClassAntiAliasedPICTAcquire = 0x416e7441,                          //	'AntA'
	phClassApplication = 0x63617070,                                     //	'capp'
	phClassArrowhead = 0x63417277,                                       //	'cArw'
	phClassAssert = 0x41737274,                                          //	'Asrt'
	phClassAssumedProfile = 0x41737350,                                  //	'AssP'
	phClassBMPFormat = 0x424d5046,                                       //	'BMPF'
	phClassBackgroundLayer = 0x42636b4c,                                 //	'BckL'
	phClassBevelEmboss = 0x6562626c,                                     //	'ebbl'
	phClassBitmapMode = 0x42746d4d,                                      //	'BtmM'
	phClassBlendRange = 0x426c6e64,                                      //	'Blnd'
	phClassBlurTool = 0x426c546c,                                        //	'BlTl'
	phClassBookColor = 0x426b436c,                                       //	'BkCl'
	phClassBrightnessContrast = 0x42726743,                              //	'BrgC'
	phClassBrush = 0x42727368,                                           //	'Brsh'
	phClassBurnInTool = 0x4272546c,                                      //	'BrTl'
	phClassCachePrefs = 0x43636850,                                      //	'CchP'
	phClassCMYKColor = 0x434d5943,                                       //	'CMYC'
	phClassCMYKColorMode = 0x434d594d,                                   //	'CMYM'
	phClassCMYKSetup = 0x434d5953,                                       //	'CMYS'
	phClassCalculation = 0x436c636c,                                     //	'Clcl'
	phClassChannel = 0x43686e6c,                                         //	'Chnl'
	phClassChannelMatrix = 0x43684d78,                                   //	'ChMx'
	phClassChannelMixer = 0x43686e4d,                                    //	'ChnM'
	phClassClippingInfo = 0x436c706f,                                    //	'Clpo'
	phClassClippingPath = 0x436c7050,                                    //	'ClpP'
	phClassCloneStampTool = 0x436c546c,                                  //	'ClTl'
	phClassColor = 0x436c7220,                                           //	'Clr '
	phClassColorBalance = 0x436c7242,                                    //	'ClrB'
	phClassColorCorrection = 0x436c7243,                                 //	'ClrC'
	phClassColorPickerPrefs = 0x436c726b,                                //	'Clrk'
	phClassColorSampler = 0x436c536d,                                    //	'ClSm'
	phClassColorStop = 0x436c7274,                                       //	'Clrt'
	phClassCommand = 0x436d6e64,                                         //	'Cmnd'
	phClassCurves = 0x43727673,                                          //	'Crvs'
	phClassCurvePoint = 0x43725074,                                      //	'CrPt'
	phClassCustomPalette = 0x4373746c,                                   //	'Cstl'
	phClassCurvesAdjustment = 0x43727641,                                //	'CrvA'
	phClassCustomPhosphors = 0x43737450,                                 //	'CstP'
	phClassCustomWhitePoint = 0x43737457,                                //	'CstW'
	phClassDisplayPrefs = 0x44737050,                                    //	'DspP'
	phClassDocument = 0x44636d6e,                                        //	'Dcmn'
	phClassDodgeTool = 0x4464546c,                                       //	'DdTl'
	phClassDropShadow = 0x44725368,                                      //	'DrSh'
	phClassDuotoneInk = 0x44746e49,                                      //	'DtnI'
	phClassDuotoneMode = 0x44746e4d,                                     //	'DtnM'
	phClassEPSGenericFormat = 0x45505347,                                //	'EPSG'
	phClassEPSPICTPreview = 0x45505343,                                  //	'EPSC'
	phClassEPSTIFFPreview = 0x45505354,                                  //	'EPST'
	phClassElement = 0x456c6d6e,                                         //	'Elmn'
	phClassEllipse = 0x456c7073,                                         //	'Elps'
	phClassEraserTool = 0x4572546c,                                      //	'ErTl'
	phClassExport = 0x45787072,                                          //	'Expr'
	phClassFileInfo = 0x466c496e,                                        //	'FlIn'
	phClassFileSavePrefs = 0x466c5376,                                   //	'FlSv'
	phClassFlashPixFormat = 0x466c7350,                                  //	'FlsP'
	phClassFontDesignAxes = 0x466e7444,                                  //	'FntD'
	phClassFormat = 0x466d7420,                                          //	'Fmt '
	phClassFrameFX = 0x46724658,                                         //	'FrFX'
	phClassContour = 0x46785363,                                         //	'FxSc'
	phClassGeneralPrefs = 0x476e7250,                                    //	'GnrP'
	phClassGIF89aExport = 0x47463839,                                    //	'GF89'
	phClassGIFFormat = 0x47464672,                                       //	'GFFr'
	phClassGlobalAngle = 0x67626c41,                                     //	'gblA'
	phClassGradient = 0x4772646e,                                        //	'Grdn'
	phClassGradientFill = 0x47726466,                                    //	'Grdf'
	phClassGradientMap = 0x47644d70,                                     //	'GdMp'
	phClassGradientTool = 0x4772546c,                                    //	'GrTl'
	phClassGraySetup = 0x47725374,                                       //	'GrSt'
	phClassGrayscale = 0x47727363,                                       //	'Grsc'
	phClassGrayscaleMode = 0x47727973,                                   //	'Grys'
	phClassGuide = 0x47642020,                                           //	'Gd  '
	phClassGuidesPrefs = 0x47645072,                                     //	'GdPr'
	phClassHalftoneScreen = 0x486c6653,                                  //	'HlfS'
	phClassHalftoneSpec = 0x486c6670,                                    //	'Hlfp'
	phClassHSBColor = 0x48534243,                                        //	'HSBC'
	phClassHSBColorMode = 0x4853424d,                                    //	'HSBM'
	phClassHistoryBrushTool = 0x4842546c,                                //	'HBTl'
	phClassHistoryPrefs = 0x43487350,                                    //	'CHsP'
	phClassHistoryState = 0x48737453,                                    //	'HstS'
	phClassHueSatAdjustment = 0x48537441,                                //	'HStA'
	phClassHueSatAdjustmentV2 = 0x48737432,                              //	'Hst2'
	phClassHueSaturation = 0x48537472,                                   //	'HStr'
	phClassIFFFormat = 0x49464646,                                       //	'IFFF'
	phClassIllustratorPathsExport = 0x496c7350,                          //	'IlsP'
	phClassImagePoint = 0x496d6750,                                      //	'ImgP'
	phClassImport = 0x496d7072,                                          //	'Impr'
	phClassIndexedColorMode = 0x496e6443,                                //	'IndC'
	phClassInkTransfer = 0x496e6b54,                                     //	'InkT'
	phClassInnerGlow = 0x4972476c,                                       //	'IrGl'
	phClassInnerShadow = 0x49725368,                                     //	'IrSh'
	phClassInterfaceColor = 0x49436c72,                                  //	'IClr'
	phClassInvert = 0x496e7672,                                          //	'Invr'
	phClassJPEGFormat = 0x4a504547,                                      //	'JPEG'
	phClassLabColor = 0x4c62436c,                                        //	'LbCl'
	phClassLabColorMode = 0x4c62434d,                                    //	'LbCM'
	phClassLayer = 0x4c797220,                                           //	'Lyr '
	phClassLayerEffects = 0x4c656678,                                    //	'Lefx'
	phClassLayerFXVisible = 0x6c667876,                                  //	'lfxv'
	phClassLevels = 0x4c766c73,                                          //	'Lvls'
	phClassLevelsAdjustment = 0x4c766c41,                                //	'LvlA'
	phClassLightSource = 0x4c676853,                                     //	'LghS'
	phClassLine = 0x4c6e2020,                                            //	'Ln  '
	phClassMacPaintFormat = 0x4d63506e,                                  //	'McPn'
	phClassMagicEraserTool = 0x4d674572,                                 //	'MgEr'
	phClassMagicPoint = 0x4d676370,                                      //	'Mgcp'
	phClassMask = 0x4d736b20,                                            //	'Msk '
	phClassMenuItem = 0x4d6e2020,                                        //	'Mn  '
	phClassMode = 0x4d642020,                                            //	'Md  '
	phClassMultichannelMode = 0x4d6c7443,                                //	'MltC'
	phClassObsoleteTextLayer = 0x54784c79,                               //	'TxLy'
	phClassNull = 0x6e756c6c,                                            //	'null'
	phClassOffset = 0x4f667374,                                          //	'Ofst'
	phClassOpacity = 0x4f706163,                                         //	'Opac'
	phClassOuterGlow = 0x4f72476c,                                       //	'OrGl'
	phClassPDFGenericFormat = 0x50444647,                                //	'PDFG'
	phClassPICTFileFormat = 0x50494346,                                  //	'PICF'
	phClassPICTResourceFormat = 0x50494352,                              //	'PICR'
	phClassPNGFormat = 0x504e4746,                                       //	'PNGF'
	phClassPageSetup = 0x50675374,                                       //	'PgSt'
	phClassPaintbrushTool = 0x5062546c,                                  //	'PbTl'
	phClassPath = 0x50617468,                                            //	'Path'
	phClassPathComponent = 0x5061436d,                                   //	'PaCm'
	phClassPathPoint = 0x50746870,                                       //	'Pthp'
	phClassPattern = 0x50747452,                                         //	'PttR'
	phClassPatternStampTool = 0x5061546c,                                //	'PaTl'
	phClassPencilTool = 0x5063546c,                                      //	'PcTl'
	phClassPhotoshop20Format = 0x50687432,                               //	'Pht2'
	phClassPhotoshop35Format = 0x50687433,                               //	'Pht3'
	phClassPhotoshopDCS2Format = 0x50684432,                             //	'PhD2'
	phClassPhotoshopDCSFormat = 0x50684431,                              //	'PhD1'
	phClassPhotoshopEPSFormat = 0x50687445,                              //	'PhtE'
	phClassPhotoshopPDFFormat = 0x50687450,                              //	'PhtP'
	phClassPixel = 0x5078656c,                                           //	'Pxel'
	phClassPixelPaintFormat = 0x50786c50,                                //	'PxlP'
	phClassPluginPrefs = 0x506c6750,                                     //	'PlgP'
	phClassPoint = 0x506e7420,                                           //	'Pnt '
	phClassPoint16 = 0x506e7431,                                         //	'Pnt1'
	phClassPolygon = 0x506c676e,                                         //	'Plgn'
	phClassPosterize = 0x50737472,                                       //	'Pstr'
	phClassPreferences = 0x476e7250,                                     //	'GnrP'
	phClassProfileSetup = 0x50726653,                                    //	'PrfS'
	phClassProperty = 0x50727072,                                        //	'Prpr'
	phClassRange = 0x52616e67,                                           //	'Rang'
	phClassRect16 = 0x52637431,                                          //	'Rct1'
	phClassRGBColor = 0x52474243,                                        //	'RGBC'
	phClassRGBColorMode = 0x5247424d,                                    //	'RGBM'
	phClassRGBSetup = 0x52474274,                                        //	'RGBt'
	phClassRawFormat = 0x52772020,                                       //	'Rw  '
	phClassRectangle = 0x5263746e,                                       //	'Rctn'
	phClassSaturationTool = 0x5372546c,                                  //	'SrTl'
	phClassScitexCTFormat = 0x53637478,                                  //	'Sctx'
	phClassSelection = 0x6373656c,                                       //	'csel'
	phClassSelectiveColor = 0x536c6343,                                  //	'SlcC'
	phClassShapingCurve = 0x53687043,                                    //	'ShpC'
	phClassSharpenTool = 0x5368546c,                                     //	'ShTl'
	phClassSingleColumn = 0x536e6763,                                    //	'Sngc'
	phClassSingleRow = 0x536e6772,                                       //	'Sngr'
	phClassBackgroundEraserTool = 0x5345546c,                            //	'SETl'
	phClassSolidFill = 0x536f4669,                                       //	'SoFi'
	phClassArtHistoryBrushTool = 0x4142546c,                             //	'ABTl'
	phClassSmudgeTool = 0x536d546c,                                      //	'SmTl'
	phClassSnapshot = 0x536e7053,                                        //	'SnpS'
	phClassSpotColorChannel = 0x53436368,                                //	'SCch'
	phClassStyle = 0x53747943,                                           //	'StyC'
	phClassSubPath = 0x5362706c,                                         //	'Sbpl'
	phClassTIFFFormat = 0x54494646,                                      //	'TIFF'
	phClassTargaFormat = 0x54726746,                                     //	'TrgF'
	phClassTextLayer = 0x54784c72,                                       //	'TxLr'
	phClassTextStyle = 0x54787453,                                       //	'TxtS'
	phClassTextStyleRange = 0x54787474,                                  //	'Txtt'
	phClassThreshold = 0x54687273,                                       //	'Thrs'
	phClassTool = 0x546f6f6c,                                            //	'Tool'
	phClassTransferSpec = 0x54726670,                                    //	'Trfp'
	phClassTransferPoint = 0x44746e50,                                   //	'DtnP'
	phClassTransparencyPrefs = 0x54726e50,                               //	'TrnP'
	phClassTransparencyStop = 0x54726e53,                                //	'TrnS'
	phClassUnitsPrefs = 0x556e7450,                                      //	'UntP'
	phClassUnspecifiedColor = 0x556e7343,                                //	'UnsC'
	phClassVersion = 0x5672736e,                                         //	'Vrsn'
	phClassWebdavPrefs = 0x57646276,                                     //	'Wdbv'
	phClassXYYColor = 0x58595943,                                        //	'XYYC'
	phClassChromeFX = 0x43684658,                                        //	'ChFX'
	phClassBackLight = 0x42616b4c,                                       //	'BakL'
	phClassFillFlash = 0x46696c46,                                       //	'FilF'
	phClassColorCast = 0x436f6c43,                                       //	'ColC'
	phEnumAdd = 0x41646420,                                              //	'Add '
	phEnumAmountHigh = 0x616d4869,                                       //	'amHi'
	phEnumAmountLow = 0x616d4c6f,                                        //	'amLo'
	phEnumAmountMedium = 0x616d4d64,                                     //	'amMd'
	phEnumAntiAliasNone = 0x416e6e6f,                                    //	'Anno'
	phEnumAntiAliasLow = 0x416e4c6f,                                     //	'AnLo'
	phEnumAntiAliasMedium = 0x416e4d64,                                  //	'AnMd'
	phEnumAntiAliasHigh = 0x416e4869,                                    //	'AnHi'
	phEnumAntiAliasCrisp = 0x416e4372,                                   //	'AnCr'
	phEnumAntiAliasStrong = 0x416e5374,                                  //	'AnSt'
	phEnumAntiAliasSmooth = 0x416e536d,                                  //	'AnSm'
	phEnumAppleRGB = 0x41707052,                                         //	'AppR'
	phEnumASCII = 0x41534349,                                            //	'ASCI'
	phEnumAskWhenOpening = 0x41736b57,                                   //	'AskW'
	phEnumBicubic = 0x42636263,                                          //	'Bcbc'
	phEnumBinary = 0x426e7279,                                           //	'Bnry'
	phEnumMonitorSetup = 0x4d6e7453,                                     //	'MntS'
	phEnum16BitsPerPixel = 0x31364274,                                   //	'16Bt'
	phEnum1BitPerPixel = 0x4f6e4274,                                     //	'OnBt'
	phEnum2BitsPerPixel = 0x32427473,                                    //	'2Bts'
	phEnum32BitsPerPixel = 0x33324274,                                   //	'32Bt'
	phEnum4BitsPerPixel = 0x34427473,                                    //	'4Bts'
	phEnum5000 = 0x35303030,                                             //	'5000'
	phEnum5500 = 0x35353030,                                             //	'5500'
	phEnum6500 = 0x36353030,                                             //	'6500'
	phEnum72Color = 0x3732436c,                                          //	'72Cl'
	phEnum72Gray = 0x37324772,                                           //	'72Gr'
	phEnum7500 = 0x37353030,                                             //	'7500'
	phEnum8BitsPerPixel = 0x45676842,                                    //	'EghB'
	phEnum9300 = 0x39333030,                                             //	'9300'
	phEnumA = 0x41202020,                                                //	'A   '
	phEnumAbsColorimetric = 0x41436c72,                                  //	'AClr'
	phEnumADSBottoms = 0x41644274,                                       //	'AdBt'
	phEnumADSCentersH = 0x41644348,                                      //	'AdCH'
	phEnumADSCentersV = 0x41644356,                                      //	'AdCV'
	phEnumADSHorizontal = 0x41644872,                                    //	'AdHr'
	phEnumADSLefts = 0x41644c66,                                         //	'AdLf'
	phEnumADSRights = 0x41645267,                                        //	'AdRg'
	phEnumADSTops = 0x41645470,                                          //	'AdTp'
	phEnumADSVertical = 0x41645672,                                      //	'AdVr'
	phEnumAboutApp = 0x41624170,                                         //	'AbAp'
	phEnumAbsolute = 0x4162736c,                                         //	'Absl'
	phEnumActualPixels = 0x41637450,                                     //	'ActP'
	phEnumAdaptive = 0x41647074,                                         //	'Adpt'
	phEnumAdjustmentOptions = 0x41646a4f,                                //	'AdjO'
	phEnumAirbrushEraser = 0x41726273,                                   //	'Arbs'
	phEnumAll = 0x416c2020,                                              //	'Al  '
	phEnumAmiga = 0x416d6761,                                            //	'Amga'
	phEnumAngle = 0x416e676c,                                            //	'Angl'
	phEnumAny = 0x416e7920,                                              //	'Any '
	phEnumApplyImage = 0x41706c49,                                       //	'AplI'
	phEnumAroundCenter = 0x41726e43,                                     //	'ArnC'
	phEnumArrange = 0x41726e67,                                          //	'Arng'
	phEnumAsk = 0x41736b20,                                              //	'Ask '
	phEnumB = 0x42202020,                                                //	'B   '
	phEnumBack = 0x4261636b,                                             //	'Back'
	phEnumBackground = 0x42636b67,                                       //	'Bckg'
	phEnumBackgroundColor = 0x42636b43,                                  //	'BckC'
	phEnumBackward = 0x42636b77,                                         //	'Bckw'
	phEnumBehind = 0x42686e64,                                           //	'Bhnd'
	phEnumBest = 0x42737420,                                             //	'Bst '
	phEnumBetter = 0x44746862,                                           //	'Dthb'
	phEnumBilinear = 0x426c6e72,                                         //	'Blnr'
	phEnumBitDepth1 = 0x42443120,                                        //	'BD1 '
	phEnumBitDepth16 = 0x42443136,                                       //	'BD16'
	phEnumBitDepth24 = 0x42443234,                                       //	'BD24'
	phEnumBitDepth32 = 0x42443332,                                       //	'BD32'
	phEnumBitDepth4 = 0x42443420,                                        //	'BD4 '
	phEnumBitDepth8 = 0x42443820,                                        //	'BD8 '
	phEnumBitDepthA1R5G5B5 = 0x31353635,                                 //	'1565'
	phEnumBitDepthR5G6B5 = 0x78353635,                                   //	'x565'
	phEnumBitDepthX4R4G4B4 = 0x78343434,                                 //	'x444'
	phEnumBitDepthA4R4G4B4 = 0x34343434,                                 //	'4444'
	phEnumBitDepthX8R8G8B8 = 0x78383838,                                 //	'x888'
	phEnumBitmap = 0x42746d70,                                           //	'Btmp'
	phEnumBlack = 0x426c636b,                                            //	'Blck'
	phEnumBlackAndWhite = 0x42616e57,                                    //	'BanW'
	phEnumBlackBody = 0x426c6342,                                        //	'BlcB'
	phEnumBlacks = 0x426c6b73,                                           //	'Blks'
	phEnumBlockEraser = 0x426c6b20,                                      //	'Blk '
	phEnumBlast = 0x426c7374,                                            //	'Blst'
	phEnumBlocks = 0x426c6b73,                                           //	'Blks'
	phEnumBlue = 0x426c2020,                                             //	'Bl  '
	phEnumBlues = 0x426c7320,                                            //	'Bls '
	phEnumBottom = 0x4274746d,                                           //	'Bttm'
	phEnumBrushDarkRough = 0x42724452,                                   //	'BrDR'
	phEnumBrushesAppend = 0x42727341,                                    //	'BrsA'
	phEnumBrushesDefine = 0x42727344,                                    //	'BrsD'
	phEnumBrushesDelete = 0x42727366,                                    //	'Brsf'
	phEnumBrushesLoad = 0x42727364,                                      //	'Brsd'
	phEnumBrushesNew = 0x4272734e,                                       //	'BrsN'
	phEnumBrushesOptions = 0x4272734f,                                   //	'BrsO'
	phEnumBrushesReset = 0x42727352,                                     //	'BrsR'
	phEnumBrushesSave = 0x42727376,                                      //	'Brsv'
	phEnumBrushLightRough = 0x4272734c,                                  //	'BrsL'
	phEnumBrushSimple = 0x4272536d,                                      //	'BrSm'
	phEnumBrushSize = 0x42727353,                                        //	'BrsS'
	phEnumBrushSparkle = 0x42725370,                                     //	'BrSp'
	phEnumBrushWideBlurry = 0x42726257,                                  //	'BrbW'
	phEnumBrushWideSharp = 0x42727357,                                   //	'BrsW'
	phEnumBuiltin = 0x426c746e,                                          //	'Bltn'
	phEnumBurnInH = 0x42726e48,                                          //	'BrnH'
	phEnumBurnInM = 0x42726e4d,                                          //	'BrnM'
	phEnumBurnInS = 0x42726e53,                                          //	'BrnS'
	phEnumButtonMode = 0x42746e4d,                                       //	'BtnM'
	phEnumCIERGB = 0x43524742,                                           //	'CRGB'
	phEnumWidePhosphors = 0x57696465,                                    //	'Wide'
	phEnumWideGamutRGB = 0x57524742,                                     //	'WRGB'
	phEnumCMYK = 0x434d594b,                                             //	'CMYK'
	phEnumCMYK64 = 0x434d5346,                                           //	'CMSF'
	phEnumCMYKColor = 0x45434d59,                                        //	'ECMY'
	phEnumCalculations = 0x436c636c,                                     //	'Clcl'
	phEnumCascade = 0x43736364,                                          //	'Cscd'
	phEnumCenter = 0x436e7472,                                           //	'Cntr'
	phEnumCenterGlow = 0x53726343,                                       //	'SrcC'
	phEnumCenteredFrame = 0x43747246,                                    //	'CtrF'
	phEnumChannelOptions = 0x43686e4f,                                   //	'ChnO'
	phEnumChannelsPaletteOptions = 0x43686e50,                           //	'ChnP'
	phEnumCheckerboardNone = 0x4368634e,                                 //	'ChcN'
	phEnumCheckerboardSmall = 0x43686353,                                //	'ChcS'
	phEnumCheckerboardMedium = 0x4368634d,                               //	'ChcM'
	phEnumCheckerboardLarge = 0x4368634c,                                //	'ChcL'
	phEnumClear = 0x436c6172,                                            //	'Clar'
	phEnumClearGuides = 0x436c7247,                                      //	'ClrG'
	phEnumClipboard = 0x436c7062,                                        //	'Clpb'
	phEnumClippingPath = 0x436c7050,                                     //	'ClpP'
	phEnumCloseAll = 0x436c7341,                                         //	'ClsA'
	phEnumCoarseDots = 0x43727344,                                       //	'CrsD'
	phEnumColor = 0x436c7220,                                            //	'Clr '
	phEnumColorBurn = 0x4342726e,                                        //	'CBrn'
	phEnumColorDodge = 0x43446467,                                       //	'CDdg'
	phEnumColorMatch = 0x436c4d74,                                       //	'ClMt'
	phEnumColorNoise = 0x436c4e73,                                       //	'ClNs'
	phEnumColorimetric = 0x436c726d,                                     //	'Clrm'
	phEnumComposite = 0x436d7073,                                        //	'Cmps'
	phEnumConvertToCMYK = 0x436e7643,                                    //	'CnvC'
	phEnumConvertToGray = 0x436e7647,                                    //	'CnvG'
	phEnumConvertToLab = 0x436e764c,                                     //	'CnvL'
	phEnumConvertToRGB = 0x436e7652,                                     //	'CnvR'
	phEnumCreateDuplicate = 0x43727444,                                  //	'CrtD'
	phEnumCreateInterpolation = 0x43727449,                              //	'CrtI'
	phEnumCross = 0x43727320,                                            //	'Crs '
	phEnumCurrentLayer = 0x4372724c,                                     //	'CrrL'
	phEnumCustom = 0x43737420,                                           //	'Cst '
	phEnumCustomPattern = 0x4373746d,                                    //	'Cstm'
	phEnumCustomStops = 0x43737453,                                      //	'CstS'
	phEnumCyan = 0x43796e20,                                             //	'Cyn '
	phEnumCyans = 0x43796e73,                                            //	'Cyns'
	phEnumDark = 0x44726b20,                                             //	'Drk '
	phEnumDarken = 0x44726b6e,                                           //	'Drkn'
	phEnumDarkenOnly = 0x44726b4f,                                       //	'DrkO'
	phEnumDashedLines = 0x4473684c,                                      //	'DshL'
	phEnumDesaturate = 0x44737474,                                       //	'Dstt'
	phEnumDiamond = 0x446d6e64,                                          //	'Dmnd'
	phEnumDifference = 0x4466726e,                                       //	'Dfrn'
	phEnumDiffusion = 0x4466736e,                                        //	'Dfsn'
	phEnumDiffusionDither = 0x44666e44,                                  //	'DfnD'
	phEnumDisplayCursorsPreferences = 0x44737043,                        //	'DspC'
	phEnumDissolve = 0x44736c76,                                         //	'Dslv'
	phEnumDistort = 0x44737472,                                          //	'Dstr'
	phEnumDodgeH = 0x44646748,                                           //	'DdgH'
	phEnumDodgeM = 0x4464674d,                                           //	'DdgM'
	phEnumDodgeS = 0x44646753,                                           //	'DdgS'
	phEnumDots = 0x44747320,                                             //	'Dts '
	phEnumDraft = 0x44726674,                                            //	'Drft'
	phEnumDuotone = 0x44746e20,                                          //	'Dtn '
	phEnumEBUITU = 0x45425420,                                           //	'EBT '
	phEnumEdgeGlow = 0x53726345,                                         //	'SrcE'
	phEnumEliminateEvenFields = 0x456c6d45,                              //	'ElmE'
	phEnumEliminateOddFields = 0x456c6d4f,                               //	'ElmO'
	phEnumEllipse = 0x456c7073,                                          //	'Elps'
	phEnumEmboss = 0x456d6273,                                           //	'Embs'
	phEnumExact = 0x45786374,                                            //	'Exct'
	phEnumExclusion = 0x58636c75,                                        //	'Xclu'
	phEnumFPXCompressLossyJPEG = 0x46784a50,                             //	'FxJP'
	phEnumFPXCompressNone = 0x46784e6f,                                  //	'FxNo'
	phEnumFaster = 0x44746866,                                           //	'Dthf'
	phEnumFile = 0x466c6520,                                             //	'Fle '
	phEnumFileInfo = 0x466c496e,                                         //	'FlIn'
	phEnumFillBack = 0x466c4263,                                         //	'FlBc'
	phEnumFillFore = 0x466c4672,                                         //	'FlFr'
	phEnumFillInverse = 0x466c496e,                                      //	'FlIn'
	phEnumFillSame = 0x466c536d,                                         //	'FlSm'
	phEnumFineDots = 0x466e4474,                                         //	'FnDt'
	phEnumFirst = 0x46727374,                                            //	'Frst'
	phEnumFirstIdle = 0x46724964,                                        //	'FrId'
	phEnumFitOnScreen = 0x46744f6e,                                      //	'FtOn'
	phEnumForegroundColor = 0x46726743,                                  //	'FrgC'
	phEnumForward = 0x46727772,                                          //	'Frwr'
	phEnumFreeTransform = 0x46725472,                                    //	'FrTr'
	phEnumFront = 0x46726e74,                                            //	'Frnt'
	phEnumFullDocument = 0x466c6c44,                                     //	'FllD'
	phEnumFullSize = 0x466c537a,                                         //	'FlSz'
	phEnumGaussianDistribution = 0x47736e20,                             //	'Gsn '
	phEnumGIFColorFileColorTable = 0x47464354,                           //	'GFCT'
	phEnumGIFColorFileColors = 0x47464346,                               //	'GFCF'
	phEnumGIFColorFileMicrosoftPalette = 0x47464d53,                     //	'GFMS'
	phEnumGIFPaletteAdaptive = 0x47465041,                               //	'GFPA'
	phEnumGIFPaletteExact = 0x47465045,                                  //	'GFPE'
	phEnumGIFPaletteOther = 0x4746504f,                                  //	'GFPO'
	phEnumGIFPaletteSystem = 0x47465053,                                 //	'GFPS'
	phEnumGIFRequiredColorSpaceIndexed = 0x47464349,                     //	'GFCI'
	phEnumGIFRequiredColorSpaceRGB = 0x47465247,                         //	'GFRG'
	phEnumGIFRowOrderInterlaced = 0x4746494e,                            //	'GFIN'
	phEnumGIFRowOrderNormal = 0x47464e49,                                //	'GFNI'
	phEnumGeneralPreferences = 0x476e7250,                               //	'GnrP'
	phEnumGood = 0x47642020,                                             //	'Gd  '
	phEnumGradientFill = 0x4772466c,                                     //	'GrFl'
	phEnumGrainClumped = 0x47726e43,                                     //	'GrnC'
	phEnumGrainContrasty = 0x4772436e,                                   //	'GrCn'
	phEnumGrainEnlarged = 0x47726e45,                                    //	'GrnE'
	phEnumGrainHorizontal = 0x47726e48,                                  //	'GrnH'
	phEnumGrainRegular = 0x47726e52,                                     //	'GrnR'
	phEnumGrainSoft = 0x47725366,                                        //	'GrSf'
	phEnumGrainSpeckle = 0x47725370,                                     //	'GrSp'
	phEnumGrainSprinkles = 0x47725372,                                   //	'GrSr'
	phEnumGrainStippled = 0x47725374,                                    //	'GrSt'
	phEnumGrainVertical = 0x47726e56,                                    //	'GrnV'
	phEnumGrainyDots = 0x47726e44,                                       //	'GrnD'
	phEnumGraphics = 0x47727020,                                         //	'Grp '
	phEnumGray = 0x47727920,                                             //	'Gry '
	phEnumGray16 = 0x47727958,                                           //	'GryX'
	phEnumGray18 = 0x47723138,                                           //	'Gr18'
	phEnumGray22 = 0x47723232,                                           //	'Gr22'
	phEnumGray50 = 0x47723530,                                           //	'Gr50'
	phEnumGrayScale = 0x47727963,                                        //	'Gryc'
	phEnumGreen = 0x47726e20,                                            //	'Grn '
	phEnumGreens = 0x47726e73,                                           //	'Grns'
	phEnumGuidesGridPreferences = 0x47756447,                            //	'GudG'
	phEnumHDTV = 0x48445456,                                             //	'HDTV'
	phEnumHSBColor = 0x4853426c,                                         //	'HSBl'
	phEnumHSLColor = 0x48534c43,                                         //	'HSLC'
	phEnumHalftoneFile = 0x486c6646,                                     //	'HlfF'
	phEnumHalftoneScreen = 0x486c6653,                                   //	'HlfS'
	phEnumHardLight = 0x4872644c,                                        //	'HrdL'
	phEnumHeavy = 0x48767920,                                            //	'Hvy '
	phEnumHideAll = 0x4864416c,                                          //	'HdAl'
	phEnumHideSelection = 0x4864536c,                                    //	'HdSl'
	phEnumHigh = 0x48696768,                                             //	'High'
	phEnumHighQuality = 0x48676820,                                      //	'Hgh '
	phEnumHighlights = 0x4867686c,                                       //	'Hghl'
	phEnumHistogram = 0x48737467,                                        //	'Hstg'
	phEnumHistory = 0x48737479,                                          //	'Hsty'
	phEnumHistoryPaletteOptions = 0x4873744f,                            //	'HstO'
	phEnumHistoryPreferences = 0x48737450,                               //	'HstP'
	phEnumHorizontal = 0x48727a6e,                                       //	'Hrzn'
	phEnumHorizontalOnly = 0x48727a4f,                                   //	'HrzO'
	phEnumHue = 0x48202020,                                              //	'H   '
	phEnumIBMPC = 0x49424d50,                                            //	'IBMP'
	phEnumICC = 0x49434320,                                              //	'ICC '
	phEnumIcon = 0x49636e20,                                             //	'Icn '
	phEnumIdleVM = 0x4964564d,                                           //	'IdVM'
	phEnumIgnore = 0x49676e72,                                           //	'Ignr'
	phEnumImage = 0x496d6720,                                            //	'Img '
	phEnumImageCachePreferences = 0x496d6750,                            //	'ImgP'
	phEnumIndexedColor = 0x496e646c,                                     //	'Indl'
	phEnumInfoPaletteOptions = 0x496e6650,                               //	'InfP'
	phEnumInfoPaletteToggleSamplers = 0x496e6654,                        //	'InfT'
	phEnumInnerBevel = 0x496e7242,                                       //	'InrB'
	phEnumInsetFrame = 0x496e7346,                                       //	'InsF'
	phEnumInside = 0x496e7364,                                           //	'Insd'
	phEnumJPEG = 0x4a504547,                                             //	'JPEG'
	phEnumJustifyAll = 0x4a737441,                                       //	'JstA'
	phEnumJustifyFull = 0x4a737446,                                      //	'JstF'
	phEnumKeepProfile = 0x4b50726f,                                      //	'KPro'
	phEnumKeyboardPreferences = 0x4b796250,                              //	'KybP'
	phEnumLab = 0x4c616220,                                              //	'Lab '
	phEnumLab48 = 0x4c624346,                                            //	'LbCF'
	phEnumLabColor = 0x4c62436c,                                         //	'LbCl'
	phEnumLarge = 0x4c726720,                                            //	'Lrg '
	phEnumLast = 0x4c737420,                                             //	'Lst '
	phEnumLastFilter = 0x4c737446,                                       //	'LstF'
	phEnumLayerOptions = 0x4c79724f,                                     //	'LyrO'
	phEnumLayersPaletteOptions = 0x4c797250,                             //	'LyrP'
	phEnumLeft = 0x4c656674,                                             //	'Left'
	phEnumLeft_PLUGIN = 0x4c667420,                                      //	'Lft '
	phEnumLevelBased = 0x4c766c42,                                       //	'LvlB'
	phEnumLight = 0x4c677420,                                            //	'Lgt '
	phEnumLightBlue = 0x4c677442,                                        //	'LgtB'
	phEnumLightDirBottom = 0x4c444274,                                   //	'LDBt'
	phEnumLightDirBottomLeft = 0x4c44424c,                               //	'LDBL'
	phEnumLightDirBottomRight = 0x4c444252,                              //	'LDBR'
	phEnumLightDirLeft = 0x4c444c66,                                     //	'LDLf'
	phEnumLightDirRight = 0x4c445267,                                    //	'LDRg'
	phEnumLightDirTop = 0x4c445470,                                      //	'LDTp'
	phEnumLightDirTopLeft = 0x4c44544c,                                  //	'LDTL'
	phEnumLightDirTopRight = 0x4c445452,                                 //	'LDTR'
	phEnumLightGray = 0x4c677447,                                        //	'LgtG'
	phEnumLightDirectional = 0x4c676844,                                 //	'LghD'
	phEnumLightenOnly = 0x4c67684f,                                      //	'LghO'
	phEnumLightOmni = 0x4c67684f,                                        //	'LghO'
	phEnumLightPosBottom = 0x4c504274,                                   //	'LPBt'
	phEnumLightPosBottomLeft = 0x4c50424c,                               //	'LPBL'
	phEnumLightPosBottomRight = 0x4c504272,                              //	'LPBr'
	phEnumLightPosLeft = 0x4c504c66,                                     //	'LPLf'
	phEnumLightPosRight = 0x4c505267,                                    //	'LPRg'
	phEnumLightPosTop = 0x4c505470,                                      //	'LPTp'
	phEnumLightPosTopLeft = 0x4c50544c,                                  //	'LPTL'
	phEnumLightPosTopRight = 0x4c505452,                                 //	'LPTR'
	phEnumLightRed = 0x4c677452,                                         //	'LgtR'
	phEnumLightSpot = 0x4c676853,                                        //	'LghS'
	phEnumLighten = 0x4c67686e,                                          //	'Lghn'
	phEnumLightness = 0x4c676874,                                        //	'Lght'
	phEnumLine = 0x4c6e2020,                                             //	'Ln  '
	phEnumLines = 0x4c6e7320,                                            //	'Lns '
	phEnumLinear = 0x4c6e7220,                                           //	'Lnr '
	phEnumLinked = 0x4c6e6b64,                                           //	'Lnkd'
	phEnumLongLines = 0x4c6e674c,                                        //	'LngL'
	phEnumLongStrokes = 0x4c6e6753,                                      //	'LngS'
	phEnumLow = 0x4c6f7720,                                              //	'Low '
	phEnumLower = 0x4c777220,                                            //	'Lwr '
	phEnumLowQuality = 0x4c772020,                                       //	'Lw  '
	phEnumLuminosity = 0x4c6d6e73,                                       //	'Lmns'
	phEnumMaya = 0x4d617961,                                             //	'Maya'
	phEnumMacThumbnail = 0x4d635468,                                     //	'McTh'
	phEnumMacintosh = 0x4d636e74,                                        //	'Mcnt'
	phEnumMacintoshSystem = 0x4d636e53,                                  //	'McnS'
	phEnumMagenta = 0x4d676e74,                                          //	'Mgnt'
	phEnumMagentas = 0x4d676e74,                                         //	'Mgnt'
	phEnumMask = 0x4d736b20,                                             //	'Msk '
	phEnumMaskedAreas = 0x4d736b41,                                      //	'MskA'
	phEnumMasterAdaptive = 0x4d416470,                                   //	'MAdp'
	phEnumMasterPerceptual = 0x4d506572,                                 //	'MPer'
	phEnumMasterSelective = 0x4d53656c,                                  //	'MSel'
	phEnumMaximum = 0x4d786d6d,                                          //	'Mxmm'
	phEnumMaximumQuality = 0x4d786d20,                                   //	'Mxm '
	phEnumMedium = 0x4d64696d,                                           //	'Mdim'
	phEnumMediumBlue = 0x4d646d42,                                       //	'MdmB'
	phEnumMediumQuality = 0x4d646d20,                                    //	'Mdm '
	phEnumMediumDots = 0x4d646d44,                                       //	'MdmD'
	phEnumMediumLines = 0x4d646d4c,                                      //	'MdmL'
	phEnumMediumStrokes = 0x4d646d53,                                    //	'MdmS'
	phEnumMemoryPreferences = 0x4d6d7250,                                //	'MmrP'
	phEnumMergeChannels = 0x4d726743,                                    //	'MrgC'
	phEnumMerged = 0x4d726764,                                           //	'Mrgd'
	phEnumMergedLayers = 0x4d72674c,                                     //	'MrgL'
	phEnumMiddle = 0x4d64646c,                                           //	'Mddl'
	phEnumMidtones = 0x4d64746e,                                         //	'Mdtn'
	phEnumModeGray = 0x4d644772,                                         //	'MdGr'
	phEnumModeRGB = 0x4d645247,                                          //	'MdRG'
	phEnumMonitor = 0x4d6f6e69,                                          //	'Moni'
	phEnumMonotone = 0x4d6e746e,                                         //	'Mntn'
	phEnumMulti72Color = 0x3732434d,                                     //	'72CM'
	phEnumMulti72Gray = 0x3732474d,                                      //	'72GM'
	phEnumMultichannel = 0x4d6c7468,                                     //	'Mlth'
	phEnumMultiNoCompositePS = 0x4e436d4d,                               //	'NCmM'
	phEnumMultiply = 0x4d6c7470,                                         //	'Mltp'
	phEnumNavigatorPaletteOptions = 0x4e766750,                          //	'NvgP'
	phEnumNearestNeighbor = 0x4e727374,                                  //	'Nrst'
	phEnumNetscapeGray = 0x4e734772,                                     //	'NsGr'
	phEnumNeutrals = 0x4e74726c,                                         //	'Ntrl'
	phEnumNewView = 0x4e775677,                                          //	'NwVw'
	phEnumNext = 0x4e787420,                                             //	'Nxt '
	phEnumNikon = 0x4e6b6e20,                                            //	'Nkn '
	phEnumNikon105 = 0x4e6b6e31,                                         //	'Nkn1'
	phEnumNo = 0x4e202020,                                               //	'N   '
	phEnumNoCompositePS = 0x4e436d70,                                    //	'NCmp'
	phEnumNone = 0x4e6f6e65,                                             //	'None'
	phEnumNormal = 0x4e726d6c,                                           //	'Nrml'
	phEnumNormalPath = 0x4e726d50,                                       //	'NrmP'
	phEnumNTSC = 0x4e545343,                                             //	'NTSC'
	phEnumNull = 0x6e756c6c,                                             //	'null'
	phEnumOS2 = 0x4f533220,                                              //	'OS2 '
	phEnumOff = 0x4f666620,                                              //	'Off '
	phEnumOn = 0x4f6e2020,                                               //	'On  '
	phEnumOpenAs = 0x4f704173,                                           //	'OpAs'
	phEnumOrange = 0x4f726e67,                                           //	'Orng'
	phEnumOutFromCenter = 0x4f744672,                                    //	'OtFr'
	phEnumOutOfGamut = 0x4f744f66,                                       //	'OtOf'
	phEnumOuterBevel = 0x4f747242,                                       //	'OtrB'
	phEnumOutside = 0x4f747364,                                          //	'Otsd'
	phEnumOutsetFrame = 0x4f757446,                                      //	'OutF'
	phEnumOverlay = 0x4f76726c,                                          //	'Ovrl'
	phEnumPaintbrushEraser = 0x506e7462,                                 //	'Pntb'
	phEnumPencilEraser = 0x506e636c,                                     //	'Pncl'
	phEnumP22EBU = 0x50323242,                                           //	'P22B'
	phEnumPNGFilterAdaptive = 0x50474164,                                //	'PGAd'
	phEnumPNGFilterAverage = 0x50474176,                                 //	'PGAv'
	phEnumPNGFilterNone = 0x50474e6f,                                    //	'PGNo'
	phEnumPNGFilterPaeth = 0x50475074,                                   //	'PGPt'
	phEnumPNGFilterSub = 0x50475362,                                     //	'PGSb'
	phEnumPNGFilterUp = 0x50475570,                                      //	'PGUp'
	phEnumPNGInterlaceAdam7 = 0x50474941,                                //	'PGIA'
	phEnumPNGInterlaceNone = 0x5047494e,                                 //	'PGIN'
	phEnumPagePosCentered = 0x50675043,                                  //	'PgPC'
	phEnumPagePosTopLeft = 0x5067544c,                                   //	'PgTL'
	phEnumPageSetup = 0x50675374,                                        //	'PgSt'
	phEnumPalSecam = 0x506c5363,                                         //	'PlSc'
	phEnumPanaVision = 0x506e5673,                                       //	'PnVs'
	phEnumPathsPaletteOptions = 0x50746850,                              //	'PthP'
	phEnumPattern = 0x5074726e,                                          //	'Ptrn'
	phEnumPatternDither = 0x50746e44,                                    //	'PtnD'
	phEnumPerceptual = 0x50657263,                                       //	'Perc'
	phEnumPerspective = 0x50727370,                                      //	'Prsp'
	phEnumPhotoshopPicker = 0x5068746b,                                  //	'Phtk'
	phEnumPickCMYK = 0x50636b43,                                         //	'PckC'
	phEnumPickGray = 0x50636b47,                                         //	'PckG'
	phEnumPickHSB = 0x50636b48,                                          //	'PckH'
	phEnumPickLab = 0x50636b4c,                                          //	'PckL'
	phEnumPickOptions = 0x50636b4f,                                      //	'PckO'
	phEnumPickRGB = 0x50636b52,                                          //	'PckR'
	phEnumPillowEmboss = 0x506c4562,                                     //	'PlEb'
	phEnumPixelPaintSize1 = 0x50785331,                                  //	'PxS1'
	phEnumPixelPaintSize2 = 0x50785332,                                  //	'PxS2'
	phEnumPixelPaintSize3 = 0x50785333,                                  //	'PxS3'
	phEnumPixelPaintSize4 = 0x50785334,                                  //	'PxS4'
	phEnumPlace = 0x506c6365,                                            //	'Plce'
	phEnumPlaybackOptions = 0x50626b4f,                                  //	'PbkO'
	phEnumPluginPicker = 0x506c6750,                                     //	'PlgP'
	phEnumPluginsScratchDiskPreferences = 0x506c6753,                    //	'PlgS'
	phEnumPolarToRect = 0x506c7252,                                      //	'PlrR'
	phEnumPondRipples = 0x506e6452,                                      //	'PndR'
	phEnumPrecise = 0x50726320,                                          //	'Prc '
	phEnumPreciseMatte = 0x5072424c,                                     //	'PrBL'
	phEnumPreviewOff = 0x5072764f,                                       //	'PrvO'
	phEnumPreviewCMYK = 0x50727643,                                      //	'PrvC'
	phEnumPreviewCyan = 0x50727679,                                      //	'Prvy'
	phEnumPreviewMagenta = 0x5072764d,                                   //	'PrvM'
	phEnumPreviewYellow = 0x50727659,                                    //	'PrvY'
	phEnumPreviewBlack = 0x50727642,                                     //	'PrvB'
	phEnumPreviewCMY = 0x5072764e,                                       //	'PrvN'
	phEnumPrevious = 0x50727673,                                         //	'Prvs'
	phEnumPrimaries = 0x5072696d,                                        //	'Prim'
	phEnumPrintSize = 0x50726e53,                                        //	'PrnS'
	phEnumPrintingInksSetup = 0x50726e49,                                //	'PrnI'
	phEnumPurple = 0x50727020,                                           //	'Prp '
	phEnumPyramids = 0x5079726d,                                         //	'Pyrm'
	phEnumQCSAverage = 0x51637361,                                       //	'Qcsa'
	phEnumQCSCorner0 = 0x51637330,                                       //	'Qcs0'
	phEnumQCSCorner1 = 0x51637331,                                       //	'Qcs1'
	phEnumQCSCorner2 = 0x51637332,                                       //	'Qcs2'
	phEnumQCSCorner3 = 0x51637333,                                       //	'Qcs3'
	phEnumQCSIndependent = 0x51637369,                                   //	'Qcsi'
	phEnumQCSSide0 = 0x51637334,                                         //	'Qcs4'
	phEnumQCSSide1 = 0x51637335,                                         //	'Qcs5'
	phEnumQCSSide2 = 0x51637336,                                         //	'Qcs6'
	phEnumQCSSide3 = 0x51637337,                                         //	'Qcs7'
	phEnumQuadtone = 0x5164746e,                                         //	'Qdtn'
	phEnumQueryAlways = 0x51757241,                                      //	'QurA'
	phEnumQueryAsk = 0x5175726c,                                         //	'Qurl'
	phEnumQueryNever = 0x5175724e,                                       //	'QurN'
	phEnumRepeat = 0x52707420,                                           //	'Rpt '
	phEnumRGB = 0x52474220,                                              //	'RGB '
	phEnumRGB48 = 0x52474246,                                            //	'RGBF'
	phEnumRGBColor = 0x52474243,                                         //	'RGBC'
	phEnumRadial = 0x52646c20,                                           //	'Rdl '
	phEnumRandom = 0x526e646d,                                           //	'Rndm'
	phEnumRectToPolar = 0x52637450,                                      //	'RctP'
	phEnumRed = 0x52642020,                                              //	'Rd  '
	phEnumRedrawComplete = 0x5264436d,                                   //	'RdCm'
	phEnumReds = 0x52647320,                                             //	'Rds '
	phEnumReflected = 0x52666c63,                                        //	'Rflc'
	phEnumRelative = 0x526c7476,                                         //	'Rltv'
	phEnumRepeatEdgePixels = 0x52707445,                                 //	'RptE'
	phEnumRevealAll = 0x52766c41,                                        //	'RvlA'
	phEnumRevealSelection = 0x52766c53,                                  //	'RvlS'
	phEnumRevert = 0x52767274,                                           //	'Rvrt'
	phEnumRight = 0x52676874,                                            //	'Rght'
	phEnumRotate = 0x52747465,                                           //	'Rtte'
	phEnumRotoscopingPreferences = 0x52747350,                           //	'RtsP'
	phEnumRound = 0x526e6420,                                            //	'Rnd '
	phEnumRulerCm = 0x5272436d,                                          //	'RrCm'
	phEnumRulerInches = 0x5272496e,                                      //	'RrIn'
	phEnumRulerPercent = 0x52725072,                                     //	'RrPr'
	phEnumRulerPicas = 0x52725069,                                       //	'RrPi'
	phEnumRulerPixels = 0x52725078,                                      //	'RrPx'
	phEnumRulerPoints = 0x52725074,                                      //	'RrPt'
	phEnumAdobeRGB1998 = 0x534d5054,                                     //	'SMPT'
	phEnumSMPTEC = 0x534d5043,                                           //	'SMPC'
	phEnumSRGB = 0x53524742,                                             //	'SRGB'
	phEnumSample3x3 = 0x536d7033,                                        //	'Smp3'
	phEnumSample5x5 = 0x536d7035,                                        //	'Smp5'
	phEnumSamplePoint = 0x536d7050,                                      //	'SmpP'
	phEnumSaturate = 0x53747220,                                         //	'Str '
	phEnumSaturation = 0x53747274,                                       //	'Strt'
	phEnumSaved = 0x53766564,                                            //	'Sved'
	phEnumSaveForWeb = 0x53766677,                                       //	'Svfw'
	phEnumSavingFilesPreferences = 0x53766e46,                           //	'SvnF'
	phEnumScale = 0x53636c20,                                            //	'Scl '
	phEnumScreen = 0x5363726e,                                           //	'Scrn'
	phEnumScreenCircle = 0x53637243,                                     //	'ScrC'
	phEnumScreenDot = 0x53637244,                                        //	'ScrD'
	phEnumScreenLine = 0x5363724c,                                       //	'ScrL'
	phEnumSelectedAreas = 0x536c6341,                                    //	'SlcA'
	phEnumSelection = 0x536c6374,                                        //	'Slct'
	phEnumSelective = 0x53656c65,                                        //	'Sele'
	phEnumSeparationSetup = 0x53707253,                                  //	'SprS'
	phEnumSeparationTables = 0x53707254,                                 //	'SprT'
	phEnumShadows = 0x53686477,                                          //	'Shdw'
	phEnumContourLinear = 0x73703031,                                    //	'sp01'
	phEnumContourGaussian = 0x73703032,                                  //	'sp02'
	phEnumContourSingle = 0x73703033,                                    //	'sp03'
	phEnumContourDouble = 0x73703034,                                    //	'sp04'
	phEnumContourTriple = 0x73703035,                                    //	'sp05'
	phEnumContourCustom = 0x73703036,                                    //	'sp06'
	phEnumShortLines = 0x5368724c,                                       //	'ShrL'
	phEnumShortStrokes = 0x53685374,                                     //	'ShSt'
	phEnumSingle72Color = 0x37324353,                                    //	'72CS'
	phEnumSingle72Gray = 0x37324753,                                     //	'72GS'
	phEnumSingleNoCompositePS = 0x4e436d53,                              //	'NCmS'
	phEnumSkew = 0x536b6577,                                             //	'Skew'
	phEnumSlopeLimitMatte = 0x536c6d74,                                  //	'Slmt'
	phEnumSmall = 0x536d6c20,                                            //	'Sml '
	phEnumSmartBlurModeEdgeOnly = 0x53424d45,                            //	'SBME'
	phEnumSmartBlurModeNormal = 0x53424d4e,                              //	'SBMN'
	phEnumSmartBlurModeOverlayEdge = 0x53424d4f,                         //	'SBMO'
	phEnumSmartBlurQualityHigh = 0x53425148,                             //	'SBQH'
	phEnumSmartBlurQualityLow = 0x5342514c,                              //	'SBQL'
	phEnumSmartBlurQualityMedium = 0x5342514d,                           //	'SBQM'
	phEnumSnapshot = 0x536e7073,                                         //	'Snps'
	phEnumSolidColor = 0x53436c72,                                       //	'SClr'
	phEnumSoftLight = 0x5366744c,                                        //	'SftL'
	phEnumSoftMatte = 0x5366424c,                                        //	'SfBL'
	phEnumSpectrum = 0x53706374,                                         //	'Spct'
	phEnumSpin = 0x53706e20,                                             //	'Spn '
	phEnumSpotColor = 0x53706f74,                                        //	'Spot'
	phEnumSquare = 0x53717220,                                           //	'Sqr '
	phEnumStagger = 0x53746772,                                          //	'Stgr'
	phEnumStampIn = 0x496e2020,                                          //	'In  '
	phEnumStampOut = 0x4f757420,                                         //	'Out '
	phEnumStandard = 0x53746420,                                         //	'Std '
	phEnumStdA = 0x53746441,                                             //	'StdA'
	phEnumStdB = 0x53746442,                                             //	'StdB'
	phEnumStdC = 0x53746443,                                             //	'StdC'
	phEnumStdE = 0x53746445,                                             //	'StdE'
	phEnumStretchToFit = 0x53747246,                                     //	'StrF'
	phEnumStrokeDirHorizontal = 0x5344487a,                              //	'SDHz'
	phEnumStrokeDirLeftDiag = 0x53444c44,                                //	'SDLD'
	phEnumStrokeDirRightDiag = 0x53445244,                               //	'SDRD'
	phEnumStrokeDirVertical = 0x53445674,                                //	'SDVt'
	phEnumStylesAppend = 0x536c7341,                                     //	'SlsA'
	phEnumStylesDelete = 0x536c7366,                                     //	'Slsf'
	phEnumStylesLoad = 0x536c7364,                                       //	'Slsd'
	phEnumStylesNew = 0x536c734e,                                        //	'SlsN'
	phEnumStylesReset = 0x536c7352,                                      //	'SlsR'
	phEnumStylesSave = 0x536c7376,                                       //	'Slsv'
	phEnumSubtract = 0x53627472,                                         //	'Sbtr'
	phEnumSwatchesAppend = 0x53777441,                                   //	'SwtA'
	phEnumSwatchesReplace = 0x53777470,                                  //	'Swtp'
	phEnumSwatchesReset = 0x53777452,                                    //	'SwtR'
	phEnumSwatchesSave = 0x53777453,                                     //	'SwtS'
	phEnumSystemPicker = 0x53797350,                                     //	'SysP'
	phEnumTables = 0x54626c20,                                           //	'Tbl '
	phEnumTarget = 0x54726774,                                           //	'Trgt'
	phEnumTargetPath = 0x54726770,                                       //	'Trgp'
	phEnumTexTypeBlocks = 0x5478426c,                                    //	'TxBl'
	phEnumTexTypeBrick = 0x54784272,                                     //	'TxBr'
	phEnumTexTypeBurlap = 0x54784275,                                    //	'TxBu'
	phEnumTexTypeCanvas = 0x54784361,                                    //	'TxCa'
	phEnumTexTypeFrosted = 0x54784672,                                   //	'TxFr'
	phEnumTexTypeSandstone = 0x54785374,                                 //	'TxSt'
	phEnumTexTypeTinyLens = 0x5478544c,                                  //	'TxTL'
	phEnumThreshold = 0x54687268,                                        //	'Thrh'
	phEnumThumbnail = 0x54686d62,                                        //	'Thmb'
	phEnumTIFF = 0x54494646,                                             //	'TIFF'
	phEnumTile = 0x54696c65,                                             //	'Tile'
	phEnumTile_PLUGIN = 0x546c2020,                                      //	'Tl  '
	phEnumToggleActionsPalette = 0x54676c41,                             //	'TglA'
	phEnumToggleBlackPreview = 0x54674250,                               //	'TgBP'
	phEnumToggleBrushesPalette = 0x54676c42,                             //	'TglB'
	phEnumToggleCMYKPreview = 0x54676c43,                                //	'TglC'
	phEnumToggleCMYPreview = 0x5467434d,                                 //	'TgCM'
	phEnumToggleChannelsPalette = 0x54676c68,                            //	'Tglh'
	phEnumToggleColorPalette = 0x54676c63,                               //	'Tglc'
	phEnumToggleCyanPreview = 0x54674350,                                //	'TgCP'
	phEnumToggleEdges = 0x54676c45,                                      //	'TglE'
	phEnumToggleGamutWarning = 0x54676c47,                               //	'TglG'
	phEnumToggleGrid = 0x54674772,                                       //	'TgGr'
	phEnumToggleGuides = 0x54676c64,                                     //	'Tgld'
	phEnumToggleHistoryPalette = 0x54676c48,                             //	'TglH'
	phEnumToggleInfoPalette = 0x54676c49,                                //	'TglI'
	phEnumToggleLayerMask = 0x54676c4d,                                  //	'TglM'
	phEnumToggleLayersPalette = 0x54676c79,                              //	'Tgly'
	phEnumToggleLockGuides = 0x54676c4c,                                 //	'TglL'
	phEnumToggleMagentaPreview = 0x54674d50,                             //	'TgMP'
	phEnumToggleNavigatorPalette = 0x54676c4e,                           //	'TglN'
	phEnumToggleOptionsPalette = 0x54676c4f,                             //	'TglO'
	phEnumTogglePaths = 0x54676c50,                                      //	'TglP'
	phEnumTogglePathsPalette = 0x54676c74,                               //	'Tglt'
	phEnumToggleRGBMacPreview = 0x54724d70,                              //	'TrMp'
	phEnumToggleRGBWindowsPreview = 0x54725770,                          //	'TrWp'
	phEnumToggleRGBUncompensatedPreview = 0x54725570,                    //	'TrUp'
	phEnumToggleRulers = 0x54676c52,                                     //	'TglR'
	phEnumToggleSnapToGrid = 0x5467536e,                                 //	'TgSn'
	phEnumToggleSnapToGuides = 0x54676c53,                               //	'TglS'
	phEnumToggleStatusBar = 0x54676c73,                                  //	'Tgls'
	phEnumToggleStylesPalette = 0x5467536c,                              //	'TgSl'
	phEnumToggleSwatchesPalette = 0x54676c77,                            //	'Tglw'
	phEnumToggleToolsPalette = 0x54676c54,                               //	'TglT'
	phEnumToggleYellowPreview = 0x54675950,                              //	'TgYP'
	phEnumTop = 0x546f7020,                                              //	'Top '
	phEnumTransparency = 0x54727370,                                     //	'Trsp'
	phEnumTransparencyGamutPreferences = 0x54726e47,                     //	'TrnG'
	phEnumTransparent = 0x54726e73,                                      //	'Trns'
	phEnumTrinitron = 0x54726e74,                                        //	'Trnt'
	phEnumTritone = 0x5472746e,                                          //	'Trtn'
	phEnumUIBitmap = 0x5542746d,                                         //	'UBtm'
	phEnumUICMYK = 0x55434d59,                                           //	'UCMY'
	phEnumUIDuotone = 0x5544746e,                                        //	'UDtn'
	phEnumUIGrayscale = 0x55477279,                                      //	'UGry'
	phEnumUIIndexed = 0x55496e64,                                        //	'UInd'
	phEnumUILab = 0x554c6162,                                            //	'ULab'
	phEnumUIMultichannel = 0x554d6c74,                                   //	'UMlt'
	phEnumUIRGB = 0x55524742,                                            //	'URGB'
	phEnumUndo = 0x556e6420,                                             //	'Und '
	phEnumUniform = 0x556e666d,                                          //	'Unfm'
	phEnumUniformDistribution = 0x556e6672,                              //	'Unfr'
	phEnumUnitsRulersPreferences = 0x556e7452,                           //	'UntR'
	phEnumUpper = 0x55707220,                                            //	'Upr '
	phEnumUserStop = 0x55737253,                                         //	'UsrS'
	phEnumVMPreferences = 0x564d5072,                                    //	'VMPr'
	phEnumVertical = 0x56727463,                                         //	'Vrtc'
	phEnumVerticalOnly = 0x5672744f,                                     //	'VrtO'
	phEnumViolet = 0x566c7420,                                           //	'Vlt '
	phEnumWaveSine = 0x5776536e,                                         //	'WvSn'
	phEnumWaveSquare = 0x57765371,                                       //	'WvSq'
	phEnumWaveTriangle = 0x57765472,                                     //	'WvTr'
	phEnumWeb = 0x57656220,                                              //	'Web '
	phEnumWhite = 0x57687420,                                            //	'Wht '
	phEnumWhites = 0x57687473,                                           //	'Whts'
	phEnumWinThumbnail = 0x576e5468,                                     //	'WnTh'
	phEnumWind = 0x576e6420,                                             //	'Wnd '
	phEnumWindows = 0x57696e20,                                          //	'Win '
	phEnumWindowsSystem = 0x576e6453,                                    //	'WndS'
	phEnumWrap = 0x57727020,                                             //	'Wrp '
	phEnumWrapAround = 0x57727041,                                       //	'WrpA'
	phEnumWorkPath = 0x57726b50,                                         //	'WrkP'
	phEnumYellow = 0x596c6c77,                                           //	'Yllw'
	phEnumYellowColor = 0x596c7720,                                      //	'Ylw '
	phEnumYellows = 0x596c7773,                                          //	'Ylws'
	phEnumYes = 0x59732020,                                              //	'Ys  '
	phEnumZip = 0x5a70456e,                                              //	'ZpEn'
	phEnumZoom = 0x5a6d2020,                                             //	'Zm  '
	phEnumZoomIn = 0x5a6d496e,                                           //	'ZmIn'
	phEnumZoomOut = 0x5a6d4f74,                                          //	'ZmOt'
	phEvent3DTransform = 0x54645420,                                     //	'TdT '
	phEventApplyStyle = 0x41537479,                                      //	'ASty'
	phEventAssert = 0x41737274,                                          //	'Asrt'
	phEventAccentedEdges = 0x41636345,                                   //	'AccE'
	phEventAdd = 0x41646420,                                             //	'Add '
	phEventAddNoise = 0x41644e73,                                        //	'AdNs'
	phEventAddTo = 0x41646454,                                           //	'AddT'
	phEventAlign = 0x416c676e,                                           //	'Algn'
	phEventAll = 0x416c6c20,                                             //	'All '
	phEventAngledStrokes = 0x416e6753,                                   //	'AngS'
	phEventApplyImage = 0x41707049,                                      //	'AppI'
	phEventBasRelief = 0x4273526c,                                       //	'BsRl'
	phEventBatch = 0x42746368,                                           //	'Btch'
	phEventBatchFromDroplet = 0x42746346,                                //	'BtcF'
	phEventBlur = 0x426c7220,                                            //	'Blr '
	phEventBlurMore = 0x426c724d,                                        //	'BlrM'
	phEventBorder = 0x42726472,                                          //	'Brdr'
	phEventBrightness = 0x42726743,                                      //	'BrgC'
	phEventCanvasSize = 0x436e7653,                                      //	'CnvS'
	phEventChalkCharcoal = 0x43686c43,                                   //	'ChlC'
	phEventChannelMixer = 0x43686e4d,                                    //	'ChnM'
	phEventCharcoal = 0x43687263,                                        //	'Chrc'
	phEventChrome = 0x4368726d,                                          //	'Chrm'
	phEventClear = 0x436c6572,                                           //	'Cler'
	phEventClose = 0x436c7320,                                           //	'Cls '
	phEventClouds = 0x436c6473,                                          //	'Clds'
	phEventColorBalance = 0x436c7242,                                    //	'ClrB'
	phEventColorHalftone = 0x436c7248,                                   //	'ClrH'
	phEventColorRange = 0x436c7252,                                      //	'ClrR'
	phEventColoredPencil = 0x436c7250,                                   //	'ClrP'
	phEventConteCrayon = 0x436e7443,                                     //	'CntC'
	phEventContract = 0x436e7463,                                        //	'Cntc'
	phEventConvertMode = 0x436e764d,                                     //	'CnvM'
	phEventCopy = 0x636f7079,                                            //	'copy'
	phEventCopyEffects = 0x43704658,                                     //	'CpFX'
	phEventCopyMerged = 0x4370794d,                                      //	'CpyM'
	phEventCopyToLayer = 0x4370544c,                                     //	'CpTL'
	phEventCraquelure = 0x4372716c,                                      //	'Crql'
	phEventCreateDroplet = 0x43727444,                                   //	'CrtD'
	phEventCrop = 0x43726f70,                                            //	'Crop'
	phEventCrosshatch = 0x43727368,                                      //	'Crsh'
	phEventCrystallize = 0x43727374,                                     //	'Crst'
	phEventCurves = 0x43727673,                                          //	'Crvs'
	phEventCustom = 0x4373746d,                                          //	'Cstm'
	phEventCut = 0x63757420,                                             //	'cut '
	phEventCutToLayer = 0x4374544c,                                      //	'CtTL'
	phEventCutout = 0x43742020,                                          //	'Ct  '
	phEventDarkStrokes = 0x44726b53,                                     //	'DrkS'
	phEventDeInterlace = 0x446e7472,                                     //	'Dntr'
	phEventDefinePattern = 0x44666e50,                                   //	'DfnP'
	phEventDefringe = 0x44667267,                                        //	'Dfrg'
	phEventDelete = 0x446c7420,                                          //	'Dlt '
	phEventDesaturate = 0x44737474,                                      //	'Dstt'
	phEventDeselect = 0x44736c63,                                        //	'Dslc'
	phEventDespeckle = 0x44737063,                                       //	'Dspc'
	phEventDifferenceClouds = 0x44667243,                                //	'DfrC'
	phEventDiffuse = 0x44667320,                                         //	'Dfs '
	phEventDiffuseGlow = 0x44667347,                                     //	'DfsG'
	phEventDisableLayerFX = 0x646c6678,                                  //	'dlfx'
	phEventDisplace = 0x4473706c,                                        //	'Dspl'
	phEventDistribute = 0x44737472,                                      //	'Dstr'
	phEventDraw = 0x44726177,                                            //	'Draw'
	phEventDryBrush = 0x44727942,                                        //	'DryB'
	phEventDuplicate = 0x44706c63,                                       //	'Dplc'
	phEventDustAndScratches = 0x44737453,                                //	'DstS'
	phEventEmboss = 0x456d6273,                                          //	'Embs'
	phEventEqualize = 0x45716c7a,                                        //	'Eqlz'
	phEventExchange = 0x45786368,                                        //	'Exch'
	phEventExpand = 0x4578706e,                                          //	'Expn'
	phEventExport = 0x45787072,                                          //	'Expr'
	phEventJumpto = 0x4a70746f,                                          //	'Jpto'
	phEventExtrude = 0x45787472,                                         //	'Extr'
	phEventFacet = 0x46637420,                                           //	'Fct '
	phEventFade = 0x46616465,                                            //	'Fade'
	phEventFeather = 0x46746872,                                         //	'Fthr'
	phEventFill = 0x466c2020,                                            //	'Fl  '
	phEventFilmGrain = 0x466c6d47,                                       //	'FlmG'
	phEventFilter = 0x466c7472,                                          //	'Fltr'
	phEventFindEdges = 0x466e6445,                                       //	'FndE'
	phEventFlattenImage = 0x466c7449,                                    //	'FltI'
	phEventFlip = 0x466c6970,                                            //	'Flip'
	phEventFragment = 0x4672676d,                                        //	'Frgm'
	phEventFresco = 0x46727363,                                          //	'Frsc'
	phEventGaussianBlur = 0x47736e42,                                    //	'GsnB'
	phEventGet = 0x67657464,                                             //	'getd'
	phEventGlass = 0x476c7320,                                           //	'Gls '
	phEventGlowingEdges = 0x476c7745,                                    //	'GlwE'
	phEventGradient = 0x4772646e,                                        //	'Grdn'
	phEventGradientMap = 0x47724d70,                                     //	'GrMp'
	phEventGrain = 0x47726e20,                                           //	'Grn '
	phEventGraphicPen = 0x47726150,                                      //	'GraP'
	phEventGroup = 0x4772704c,                                           //	'GrpL'
	phEventGrow = 0x47726f77,                                            //	'Grow'
	phEventHalftoneScreen = 0x486c6653,                                  //	'HlfS'
	phEventHide = 0x48642020,                                            //	'Hd  '
	phEventHighPass = 0x48676850,                                        //	'HghP'
	phEventHSBHSL = 0x48736250,                                          //	'HsbP'
	phEventHueSaturation = 0x48537472,                                   //	'HStr'
	phEventImageSize = 0x496d6753,                                       //	'ImgS'
	phEventImport = 0x496d7072,                                          //	'Impr'
	phEventInkOutlines = 0x496e6b4f,                                     //	'InkO'
	phEventIntersect = 0x496e7472,                                       //	'Intr'
	phEventIntersectWith = 0x496e7457,                                   //	'IntW'
	phEventInverse = 0x496e7673,                                         //	'Invs'
	phEventInvert = 0x496e7672,                                          //	'Invr'
	phEventLensFlare = 0x4c6e7346,                                       //	'LnsF'
	phEventLevels = 0x4c766c73,                                          //	'Lvls'
	phEventLightingEffects = 0x4c676845,                                 //	'LghE'
	phEventLink = 0x4c6e6b20,                                            //	'Lnk '
	phEventMake = 0x4d6b2020,                                            //	'Mk  '
	phEventMaximum = 0x4d786d20,                                         //	'Mxm '
	phEventMedian = 0x4d646e20,                                          //	'Mdn '
	phEventMergeLayers = 0x4d72674c,                                     //	'MrgL'
	phEventMergeSpotChannel = 0x4d537074,                                //	'MSpt'
	phEventMergeVisible = 0x4d726756,                                    //	'MrgV'
	phEventMezzotint = 0x4d7a746e,                                       //	'Mztn'
	phEventMinimum = 0x4d6e6d20,                                         //	'Mnm '
	phEventMosaic = 0x4d736320,                                          //	'Msc '
	phEventMosaic_PLUGIN = 0x4d736354,                                   //	'MscT'
	phEventMotionBlur = 0x4d746e42,                                      //	'MtnB'
	phEventMove = 0x6d6f7665,                                            //	'move'
	phEventNTSCColors = 0x4e545343,                                      //	'NTSC'
	phEventNeonGlow = 0x4e476c77,                                        //	'NGlw'
	phEventNext = 0x4e787420,                                            //	'Nxt '
	phEventNotePaper = 0x4e745072,                                       //	'NtPr'
	phEventNotify = 0x4e746679,                                          //	'Ntfy'
	phEventNull = 0x6e756c6c,                                            //	'null'
	phEventOceanRipple = 0x4f636e52,                                     //	'OcnR'
	phEventOffset = 0x4f667374,                                          //	'Ofst'
	phEventOpen = 0x4f706e20,                                            //	'Opn '
	phEventPaintDaubs = 0x506e7444,                                      //	'PntD'
	phEventPaletteKnife = 0x506c744b,                                    //	'PltK'
	phEventPaste = 0x70617374,                                           //	'past'
	phEventPasteEffects = 0x50614658,                                    //	'PaFX'
	phEventPasteInto = 0x50737449,                                       //	'PstI'
	phEventPasteOutside = 0x5073744f,                                    //	'PstO'
	phEventPatchwork = 0x50746368,                                       //	'Ptch'
	phEventPhotocopy = 0x50687463,                                       //	'Phtc'
	phEventPinch = 0x506e6368,                                           //	'Pnch'
	phEventPlace = 0x506c6320,                                           //	'Plc '
	phEventPlaster = 0x506c7374,                                         //	'Plst'
	phEventPlasticWrap = 0x506c7357,                                     //	'PlsW'
	phEventPlay = 0x506c7920,                                            //	'Ply '
	phEventPointillize = 0x506e746c,                                     //	'Pntl'
	phEventPolar = 0x506c7220,                                           //	'Plr '
	phEventPosterEdges = 0x50737445,                                     //	'PstE'
	phEventPosterize = 0x50737472,                                       //	'Pstr'
	phEventPrevious = 0x50727673,                                        //	'Prvs'
	phEventPrint = 0x50726e74,                                           //	'Prnt'
	phEventProfileToProfile = 0x50726654,                                //	'PrfT'
	phEventPurge = 0x50726765,                                           //	'Prge'
	phEventQuit = 0x71756974,                                            //	'quit'
	phEventRadialBlur = 0x52646c42,                                      //	'RdlB'
	phEventRasterize = 0x52737472,                                       //	'Rstr'
	phEventRasterizeTypeSheet = 0x52737454,                              //	'RstT'
	phEventRemoveBlackMatte = 0x526d7642,                                //	'RmvB'
	phEventRemoveLayerMask = 0x526d764c,                                 //	'RmvL'
	phEventRemoveWhiteMatte = 0x526d7657,                                //	'RmvW'
	phEventRename = 0x526e6d20,                                          //	'Rnm '
	phEventReplaceColor = 0x52706c43,                                    //	'RplC'
	phEventReset = 0x52736574,                                           //	'Rset'
	phEventReticulation = 0x5274636c,                                    //	'Rtcl'
	phEventRevert = 0x52767274,                                          //	'Rvrt'
	phEventRipple = 0x52706c65,                                          //	'Rple'
	phEventRotate = 0x52747465,                                          //	'Rtte'
	phEventRoughPastels = 0x52676850,                                    //	'RghP'
	phEventSave = 0x73617665,                                            //	'save'
	phEventSelect = 0x736c6374,                                          //	'slct'
	phEventSelectiveColor = 0x536c6343,                                  //	'SlcC'
	phEventSet = 0x73657464,                                             //	'setd'
	phEventSharpenEdges = 0x53687245,                                    //	'ShrE'
	phEventSharpen = 0x53687270,                                         //	'Shrp'
	phEventSharpenMore = 0x5368724d,                                     //	'ShrM'
	phEventShear = 0x53687220,                                           //	'Shr '
	phEventShow = 0x53687720,                                            //	'Shw '
	phEventSimilar = 0x536d6c72,                                         //	'Smlr'
	phEventSmartBlur = 0x536d7242,                                       //	'SmrB'
	phEventSmooth = 0x536d7468,                                          //	'Smth'
	phEventSmudgeStick = 0x536d6453,                                     //	'SmdS'
	phEventSolarize = 0x536c727a,                                        //	'Slrz'
	phEventSpatter = 0x53707420,                                         //	'Spt '
	phEventSpherize = 0x53706872,                                        //	'Sphr'
	phEventSplitChannels = 0x53706c43,                                   //	'SplC'
	phEventSponge = 0x53706e67,                                          //	'Spng'
	phEventSprayedStrokes = 0x53707253,                                  //	'SprS'
	phEventStainedGlass = 0x53746e47,                                    //	'StnG'
	phEventStamp = 0x53746d70,                                           //	'Stmp'
	phEventStop = 0x53746f70,                                            //	'Stop'
	phEventStroke = 0x5374726b,                                          //	'Strk'
	phEventSubtract = 0x53627472,                                        //	'Sbtr'
	phEventSubtractFrom = 0x53627446,                                    //	'SbtF'
	phEventSumie = 0x536d6965,                                           //	'Smie'
	phEventTakeMergedSnapshot = 0x546b4d72,                              //	'TkMr'
	phEventTakeSnapshot = 0x546b536e,                                    //	'TkSn'
	phEventTextureFill = 0x54787446,                                     //	'TxtF'
	phEventTexturizer = 0x5478747a,                                      //	'Txtz'
	phEventThreshold = 0x54687273,                                       //	'Thrs'
	phEventTiles = 0x546c7320,                                           //	'Tls '
	phEventTornEdges = 0x54726e45,                                       //	'TrnE'
	phEventTraceContour = 0x54726343,                                    //	'TrcC'
	phEventTransform = 0x54726e66,                                       //	'Trnf'
	phEventTrap = 0x54726170,                                            //	'Trap'
	phEventTwirl = 0x5477726c,                                           //	'Twrl'
	phEventUnderpainting = 0x556e6472,                                   //	'Undr'
	phEventUndo = 0x756e646f,                                            //	'undo'
	phEventUngroup = 0x556e6772,                                         //	'Ungr'
	phEventUnlink = 0x556e6c6b,                                          //	'Unlk'
	phEventUnsharpMask = 0x556e734d,                                     //	'UnsM'
	phEventVariations = 0x5672746e,                                      //	'Vrtn'
	phEventWait = 0x57616974,                                            //	'Wait'
	phEventWaterPaper = 0x57747250,                                      //	'WtrP'
	phEventWatercolor = 0x57747263,                                      //	'Wtrc'
	phEventWave = 0x57617665,                                            //	'Wave'
	phEventWind = 0x576e6420,                                            //	'Wnd '
	phEventZigZag = 0x5a675a67,                                          //	'ZgZg'
	phEventBackLight = 0x4261634c,                                       //	'BacL'
	phEventFillFlash = 0x46696c45,                                       //	'FilE'
	phEventColorCast = 0x436f6c45,                                       //	'ColE'
	phFormClass = 0x436c7373,                                            //	'Clss'
	phFormEnumerated = 0x456e6d72,                                       //	'Enmr'
	phFormIdentifier = 0x49646e74,                                       //	'Idnt'
	phFormIndex = 0x696e6478,                                            //	'indx'
	phFormOffset = 0x72656c65,                                           //	'rele'
	phFormProperty = 0x70726f70,                                         //	'prop'
	phKey3DAntiAlias = 0x416c6973,                                       //	'Alis'
	phKeyA = 0x41202020,                                                 //	'A   '
	phKeyAdjustment = 0x41646a73,                                        //	'Adjs'
	phKeyAligned = 0x416c6764,                                           //	'Algd'
	phKeyAlignment = 0x416c676e,                                         //	'Algn'
	phKeyAllPS = 0x416c6c20,                                             //	'All '
	phKeyAllExcept = 0x416c6c45,                                         //	'AllE'
	phKeyAllToolOptions = 0x416c546c,                                    //	'AlTl'
	phKeyAlphaChannelOptions = 0x4143686e,                               //	'AChn'
	phKeyAlphaChannels = 0x416c7043,                                     //	'AlpC'
	phKeyAmbientBrightness = 0x416d6242,                                 //	'AmbB'
	phKeyAmbientColor = 0x416d6243,                                      //	'AmbC'
	phKeyAmount = 0x416d6e74,                                            //	'Amnt'
	phKeyAmplitudeMax = 0x416d4d78,                                      //	'AmMx'
	phKeyAmplitudeMin = 0x416d4d6e,                                      //	'AmMn'
	phKeyAnchor = 0x416e6368,                                            //	'Anch'
	phKeyAngle = 0x416e676c,                                             //	'Angl'
	phKeyAngle1 = 0x416e6731,                                            //	'Ang1'
	phKeyAngle2 = 0x416e6732,                                            //	'Ang2'
	phKeyAngle3 = 0x416e6733,                                            //	'Ang3'
	phKeyAngle4 = 0x416e6734,                                            //	'Ang4'
	phKeyAntiAlias = 0x416e7441,                                         //	'AntA'
	phKeyAppend = 0x41707065,                                            //	'Appe'
	phKeyApply = 0x41706c79,                                             //	'Aply'
	phKeyArea = 0x41722020,                                              //	'Ar  '
	phKeyArrowhead = 0x41727277,                                         //	'Arrw'
	phKeyAs = 0x41732020,                                                //	'As  '
	phKeyAssumedCMYK = 0x41737343,                                       //	'AssC'
	phKeyAssumedGray = 0x41737347,                                       //	'AssG'
	phKeyAssumedRGB = 0x41737352,                                        //	'AssR'
	phKeyAt = 0x41742020,                                                //	'At  '
	phKeyAuto = 0x4175746f,                                              //	'Auto'
	phKeyAutoContrast = 0x4175436f,                                      //	'AuCo'
	phKeyAutoErase = 0x41747273,                                         //	'Atrs'
	phKeyAutoKern = 0x41744b72,                                          //	'AtKr'
	phKeyAutoUpdate = 0x41745570,                                        //	'AtUp'
	phKeyAxis = 0x41786973,                                              //	'Axis'
	phKeyB = 0x42202020,                                                 //	'B   '
	phKeyBackground = 0x42636b67,                                        //	'Bckg'
	phKeyBackgroundColor = 0x42636b43,                                   //	'BckC'
	phKeyBackgroundLevel = 0x42636b4c,                                   //	'BckL'
	phKeyBackward = 0x42776420,                                          //	'Bwd '
	phKeyBalance = 0x426c6e63,                                           //	'Blnc'
	phKeyBaselineShift = 0x42736c6e,                                     //	'Bsln'
	phKeyBeepWhenDone = 0x42705768,                                      //	'BpWh'
	phKeyBeginRamp = 0x42676e52,                                         //	'BgnR'
	phKeyBeginSustain = 0x42676e53,                                      //	'BgnS'
	phKeyBevelDirection = 0x62766c44,                                    //	'bvlD'
	phKeyBevelEmboss = 0x6562626c,                                       //	'ebbl'
	phKeyBevelStyle = 0x62766c53,                                        //	'bvlS'
	phKeyBevelTechnique = 0x62766c54,                                    //	'bvlT'
	phKeyBigNudgeH = 0x42674e48,                                         //	'BgNH'
	phKeyBigNudgeV = 0x42674e56,                                         //	'BgNV'
	phKeyBitDepth = 0x42744470,                                          //	'BtDp'
	phKeyBlack = 0x426c636b,                                             //	'Blck'
	phKeyBlackClip = 0x426c6343,                                         //	'BlcC'
	phKeyBlackGeneration = 0x426c636e,                                   //	'Blcn'
	phKeyBlackGenerationCurve = 0x426c6347,                              //	'BlcG'
	phKeyBlackIntensity = 0x426c6349,                                    //	'BlcI'
	phKeyBlackLevel = 0x426c634c,                                        //	'BlcL'
	phKeyBlackLimit = 0x426c634c,                                        //	'BlcL'
	phKeyBleed = 0x426c6420,                                             //	'Bld '
	phKeyBlendRange = 0x426c6e64,                                        //	'Blnd'
	phKeyBlue = 0x426c2020,                                              //	'Bl  '
	phKeyBlueBlackPoint = 0x426c426c,                                    //	'BlBl'
	phKeyBlueGamma = 0x426c476d,                                         //	'BlGm'
	phKeyBlueWhitePoint = 0x426c5768,                                    //	'BlWh'
	phKeyBlueX = 0x426c5820,                                             //	'BlX '
	phKeyBlueY = 0x426c5920,                                             //	'BlY '
	phKeyBlur = 0x626c7572,                                              //	'blur'
	phKeyBlurMethod = 0x426c724d,                                        //	'BlrM'
	phKeyBlurQuality = 0x426c7251,                                       //	'BlrQ'
	phKeyBook = 0x426b2020,                                              //	'Bk  '
	phKeyBorderThickness = 0x42726454,                                   //	'BrdT'
	phKeyBottom = 0x42746f6d,                                            //	'Btom'
	phKeyBrightness = 0x42726768,                                        //	'Brgh'
	phKeyBrushDetail = 0x42727344,                                       //	'BrsD'
	phKeyBrushes = 0x42727368,                                           //	'Brsh'
	phKeyBrushSize = 0x42727353,                                         //	'BrsS'
	phKeyBrushType = 0x42727354,                                         //	'BrsT'
	phKeyBumpAmplitude = 0x426d7041,                                     //	'BmpA'
	phKeyBumpChannel = 0x426d7043,                                       //	'BmpC'
	phKeyBy = 0x42792020,                                                //	'By  '
	phKeyByline = 0x42796c6e,                                            //	'Byln'
	phKeyBylineTitle = 0x42796c54,                                       //	'BylT'
	phKeyByteOrder = 0x4279744f,                                         //	'BytO'
	phKeyCachePrefs = 0x43636850,                                        //	'CchP'
	phKeyChokeMatte = 0x436b6d74,                                        //	'Ckmt'
	phKeyCloneSource = 0x436c6e53,                                       //	'ClnS'
	phKeyCMYKSetup = 0x434d5953,                                         //	'CMYS'
	phKeyCalculation = 0x436c636c,                                       //	'Clcl'
	phKeyCalibrationBars = 0x436c6272,                                   //	'Clbr'
	phKeyCaption = 0x4370746e,                                           //	'Cptn'
	phKeyCaptionWriter = 0x43707457,                                     //	'CptW'
	phKeyCategory = 0x43746772,                                          //	'Ctgr'
	phKeyCellSize = 0x436c537a,                                          //	'ClSz'
	phKeyCenter = 0x436e7472,                                            //	'Cntr'
	phKeyCenterCropMarks = 0x436e7443,                                   //	'CntC'
	phKeyChalkArea = 0x43686c41,                                         //	'ChlA'
	phKeyChannel = 0x43686e6c,                                           //	'Chnl'
	phKeyChannelMatrix = 0x43684d78,                                     //	'ChMx'
	phKeyChannelName = 0x43686e4e,                                       //	'ChnN'
	phKeyChannels = 0x43686e73,                                          //	'Chns'
	phKeyChannelsInterleaved = 0x43686e49,                               //	'ChnI'
	phKeyCharcoalAmount = 0x4368416d,                                    //	'ChAm'
	phKeyCharcoalArea = 0x43687241,                                      //	'ChrA'
	phKeyChromeFX = 0x43684658,                                          //	'ChFX'
	phKeyCity = 0x43697479,                                              //	'City'
	phKeyClearAmount = 0x436c7241,                                       //	'ClrA'
	phKeyClippingPath = 0x436c5074,                                      //	'ClPt'
	phKeyClippingPathEPS = 0x436c7050,                                   //	'ClpP'
	phKeyClippingPathFlatness = 0x436c7046,                              //	'ClpF'
	phKeyClippingPathIndex = 0x436c7049,                                 //	'ClpI'
	phKeyClippingPathInfo = 0x436c7067,                                  //	'Clpg'
	phKeyClosedSubpath = 0x436c7370,                                     //	'Clsp'
	phKeyColor = 0x436c7220,                                             //	'Clr '
	phKeyColorChannels = 0x436c7268,                                     //	'Clrh'
	phKeyColorCorrection = 0x436c7243,                                   //	'ClrC'
	phKeyColorIndicates = 0x436c7249,                                    //	'ClrI'
	phKeyColorManagement = 0x436c4d67,                                   //	'ClMg'
	phKeyColorPickerPrefs = 0x436c7272,                                  //	'Clrr'
	phKeyColorTable = 0x436c7254,                                        //	'ClrT'
	phKeyColorize = 0x436c727a,                                          //	'Clrz'
	phKeyColors = 0x436c7273,                                            //	'Clrs'
	phKeyColorsList = 0x436c724c,                                        //	'ClrL'
	phKeyColorSpace = 0x436c7253,                                        //	'ClrS'
	phKeyColumnWidth = 0x436c6d57,                                       //	'ClmW'
	phKeyCommandKey = 0x436d644b,                                        //	'CmdK'
	phKeyCompensation = 0x436d706e,                                      //	'Cmpn'
	phKeyCompression = 0x436d7072,                                       //	'Cmpr'
	phKeyConcavity = 0x436e6376,                                         //	'Cncv'
	phKeyCondition = 0x436e6474,                                         //	'Cndt'
	phKeyConstant = 0x436e7374,                                          //	'Cnst'
	phKeyConstrain = 0x436e7374,                                         //	'Cnst'
	phKeyConstrainProportions = 0x436e7350,                              //	'CnsP'
	phKeyConstructionFOV = 0x43666f76,                                   //	'Cfov'
	phKeyContiguous = 0x436e7467,                                        //	'Cntg'
	phKeyContinue = 0x436e746e,                                          //	'Cntn'
	phKeyContinuity = 0x436e7479,                                        //	'Cnty'
	phKeyContrast = 0x436e7472,                                          //	'Cntr'
	phKeyConvert = 0x436e7672,                                           //	'Cnvr'
	phKeyCopy = 0x43707920,                                              //	'Cpy '
	phKeyCopyright = 0x43707972,                                         //	'Cpyr'
	phKeyCopyrightNotice = 0x4370724e,                                   //	'CprN'
	phKeyCornerCropMarks = 0x43726e43,                                   //	'CrnC'
	phKeyCount = 0x436e7420,                                             //	'Cnt '
	phKeyCountryName = 0x436e744e,                                       //	'CntN'
	phKeyCrackBrightness = 0x43726342,                                   //	'CrcB'
	phKeyCrackDepth = 0x43726344,                                        //	'CrcD'
	phKeyCrackSpacing = 0x43726353,                                      //	'CrcS'
	phKeyCreateLayersFromLayerFX = 0x626c666c,                           //	'blfl'
	phKeyCredit = 0x43726474,                                            //	'Crdt'
	phKeyCrossover = 0x43727373,                                         //	'Crss'
	phKeyCurrent = 0x43726e74,                                           //	'Crnt'
	phKeyCurrentHistoryState = 0x43726e48,                               //	'CrnH'
	phKeyCurrentLight = 0x43726e4c,                                      //	'CrnL'
	phKeyCurrentToolOptions = 0x43726e54,                                //	'CrnT'
	phKeyCurve = 0x43727620,                                             //	'Crv '
	phKeyCurveFile = 0x43727646,                                         //	'CrvF'
	phKeyCustom = 0x4373746d,                                            //	'Cstm'
	phKeyCustomForced = 0x43737446,                                      //	'CstF'
	phKeyCustomMatte = 0x4373744d,                                       //	'CstM'
	phKeyCustomPalette = 0x43737450,                                     //	'CstP'
	phKeyCyan = 0x43796e20,                                              //	'Cyn '
	phKeyDarkIntensity = 0x44726b49,                                     //	'DrkI'
	phKeyDarkness = 0x44726b6e,                                          //	'Drkn'
	phKeyDateCreated = 0x44744372,                                       //	'DtCr'
	phKeyDatum = 0x44742020,                                             //	'Dt  '
	phKeyDCS = 0x44435320,                                               //	'DCS '
	phKeyDefinition = 0x44666e74,                                        //	'Dfnt'
	phKeyDensity = 0x446e7374,                                           //	'Dnst'
	phKeyDepth = 0x44707468,                                             //	'Dpth'
	phKeyDestBlackMax = 0x4473746c,                                      //	'Dstl'
	phKeyDestBlackMin = 0x44737442,                                      //	'DstB'
	phKeyDestinationMode = 0x4473744d,                                   //	'DstM'
	phKeyDestWhiteMax = 0x44737474,                                      //	'Dstt'
	phKeyDestWhiteMin = 0x44737457,                                      //	'DstW'
	phKeyDetail = 0x44746c20,                                            //	'Dtl '
	phKeyDiameter = 0x446d7472,                                          //	'Dmtr'
	phKeyDiffusionDither = 0x44666644,                                   //	'DffD'
	phKeyDirection = 0x44726374,                                         //	'Drct'
	phKeyDirectionBalance = 0x44726342,                                  //	'DrcB'
	phKeyDisplaceFile = 0x44737046,                                      //	'DspF'
	phKeyDisplacementMap = 0x4473704d,                                   //	'DspM'
	phKeyDisplayPrefs = 0x44737050,                                      //	'DspP'
	phKeyDistance = 0x4473746e,                                          //	'Dstn'
	phKeyDistortion = 0x44737472,                                        //	'Dstr'
	phKeyDistribution = 0x44737472,                                      //	'Dstr'
	phKeyDither = 0x44746872,                                            //	'Dthr'
	phKeyDitherAmount = 0x44746841,                                      //	'DthA'
	phKeyDitherPreserve = 0x44746870,                                    //	'Dthp'
	phKeyDitherQuality = 0x44746871,                                     //	'Dthq'
	phKeyDocumentID = 0x446f6349,                                        //	'DocI'
	phKeyDotGain = 0x4474476e,                                           //	'DtGn'
	phKeyDotGainCurves = 0x44744743,                                     //	'DtGC'
	phKeyDropShadow = 0x44725368,                                        //	'DrSh'
	phKeyDuplicate = 0x44706c63,                                         //	'Dplc'
	phKeyDynamicColorSliders = 0x446e6d43,                               //	'DnmC'
	phKeyEdge = 0x45646720,                                              //	'Edg '
	phKeyEdgeBrightness = 0x45646742,                                    //	'EdgB'
	phKeyEdgeFidelity = 0x45646746,                                      //	'EdgF'
	phKeyEdgeIntensity = 0x45646749,                                     //	'EdgI'
	phKeyEdgeSimplicity = 0x45646753,                                    //	'EdgS'
	phKeyEdgeThickness = 0x45646754,                                     //	'EdgT'
	phKeyEdgeWidth = 0x45646757,                                         //	'EdgW'
	phKeyEffect = 0x45666663,                                            //	'Effc'
	phKeyEmbedProfiles = 0x456d6250,                                     //	'EmbP'
	phKeyEmbedCMYK = 0x456d6243,                                         //	'EmbC'
	phKeyEmbedGray = 0x456d6247,                                         //	'EmbG'
	phKeyEmbedLab = 0x456d624c,                                          //	'EmbL'
	phKeyEmbedRGB = 0x456d6252,                                          //	'EmbR'
	phKeyEmulsionDown = 0x456d6c44,                                      //	'EmlD'
	phKeyEnabled = 0x656e6162,                                           //	'enab'
	phKeyEncoding = 0x456e6364,                                          //	'Encd'
	phKeyEnd = 0x456e6420,                                               //	'End '
	phKeyEndArrowhead = 0x456e6441,                                      //	'EndA'
	phKeyEndRamp = 0x456e6452,                                           //	'EndR'
	phKeyEndSustain = 0x456e6453,                                        //	'EndS'
	phKeyEngine = 0x456e676e,                                            //	'Engn'
	phKeyEraserKind = 0x4572734b,                                        //	'ErsK'
	phKeyEraseToHistory = 0x45727354,                                    //	'ErsT'
	phKeyExactPoints = 0x45786350,                                       //	'ExcP'
	phKeyExport = 0x45787072,                                            //	'Expr'
	phKeyExportClipboard = 0x45787043,                                   //	'ExpC'
	phKeyExposure = 0x45787073,                                          //	'Exps'
	phKeyExtend = 0x45787464,                                            //	'Extd'
	phKeyExtension = 0x4578746e,                                         //	'Extn'
	phKeyExtensionsQuery = 0x45787451,                                   //	'ExtQ'
	phKeyExtrudeDepth = 0x45787444,                                      //	'ExtD'
	phKeyExtrudeMaskIncomplete = 0x4578744d,                             //	'ExtM'
	phKeyExtrudeRandom = 0x45787452,                                     //	'ExtR'
	phKeyExtrudeSize = 0x45787453,                                       //	'ExtS'
	phKeyExtrudeSolidFace = 0x45787446,                                  //	'ExtF'
	phKeyExtrudeType = 0x45787454,                                       //	'ExtT'
	phKeyEyeDropperSample = 0x45794472,                                  //	'EyDr'
	phKeyFadeoutSteps = 0x46647453,                                      //	'FdtS'
	phKeyFadeTo = 0x46645420,                                            //	'FdT '
	phKeyFalloff = 0x466c4f66,                                           //	'FlOf'
	phKeyFPXCompress = 0x4678436d,                                       //	'FxCm'
	phKeyFPXQuality = 0x4678516c,                                        //	'FxQl'
	phKeyFPXSize = 0x4678537a,                                           //	'FxSz'
	phKeyFPXView = 0x46785677,                                           //	'FxVw'
	phKeyFeather = 0x46746872,                                           //	'Fthr'
	phKeyFiberLength = 0x4662724c,                                       //	'FbrL'
	phKeyFile = 0x46696c65,                                              //	'File'
	phKeyFileCreator = 0x466c4372,                                       //	'FlCr'
	phKeyFileInfo = 0x466c496e,                                          //	'FlIn'
	phKeyFileReference = 0x46696c52,                                     //	'FilR'
	phKeyFileSavePrefs = 0x466c5350,                                     //	'FlSP'
	phKeyFileType = 0x466c5479,                                          //	'FlTy'
	phKeyFill = 0x466c2020,                                              //	'Fl  '
	phKeyFillColor = 0x466c436c,                                         //	'FlCl'
	phKeyFillNeutral = 0x466c4e74,                                       //	'FlNt'
	phKeyFingerpainting = 0x466e6772,                                    //	'Fngr'
	phKeyFlareCenter = 0x466c7243,                                       //	'FlrC'
	phKeyFlatness = 0x466c746e,                                          //	'Fltn'
	phKeyFlatten = 0x466c7474,                                           //	'Fltt'
	phKeyFlipVertical = 0x466c7056,                                      //	'FlpV'
	phKeyFocus = 0x46637320,                                             //	'Fcs '
	phKeyFolders = 0x466c6472,                                           //	'Fldr'
	phKeyFontDesignAxes = 0x466e7444,                                    //	'FntD'
	phKeyFontDesignAxesVectors = 0x466e7456,                             //	'FntV'
	phKeyFontName = 0x466e744e,                                          //	'FntN'
	phKeyFontScript = 0x53637270,                                        //	'Scrp'
	phKeyFontStyleName = 0x466e7453,                                     //	'FntS'
	phKeyFontTechnology = 0x466e7454,                                    //	'FntT'
	phKeyForcedColors = 0x46726343,                                      //	'FrcC'
	phKeyForegroundColor = 0x46726743,                                   //	'FrgC'
	phKeyForegroundLevel = 0x4672674c,                                   //	'FrgL'
	phKeyFormat = 0x466d7420,                                            //	'Fmt '
	phKeyForward = 0x46776420,                                           //	'Fwd '
	phKeyFrameFX = 0x46724658,                                           //	'FrFX'
	phKeyFrameWidth = 0x46726d57,                                        //	'FrmW'
	phKeyFreeTransformCenterState = 0x46546373,                          //	'FTcs'
	phKeyFrequency = 0x4672716e,                                         //	'Frqn'
	phKeyFrom = 0x46726f6d,                                              //	'From'
	phKeyFromBuiltin = 0x46726d42,                                       //	'FrmB'
	phKeyFromMode = 0x46726d4d,                                          //	'FrmM'
	phKeyFunctionKey = 0x466e634b,                                       //	'FncK'
	phKeyFuzziness = 0x467a6e73,                                         //	'Fzns'
	phKeyGamutWarning = 0x476d7457,                                      //	'GmtW'
	phKeyGCR = 0x47435220,                                               //	'GCR '
	phKeyGeneralPrefs = 0x476e7250,                                      //	'GnrP'
	phKeyGIFColorFileType = 0x47465054,                                  //	'GFPT'
	phKeyGIFColorLimit = 0x4746434c,                                     //	'GFCL'
	phKeyGIFExportCaption = 0x47464543,                                  //	'GFEC'
	phKeyGIFMaskChannelIndex = 0x47464d49,                               //	'GFMI'
	phKeyGIFMaskChannelInverted = 0x47464d56,                            //	'GFMV'
	phKeyGIFPaletteFile = 0x47465046,                                    //	'GFPF'
	phKeyGIFPaletteType = 0x4746504c,                                    //	'GFPL'
	phKeyGIFRequiredColorSpaceType = 0x47464353,                         //	'GFCS'
	phKeyGIFRowOrderType = 0x47464954,                                   //	'GFIT'
	phKeyGIFTransparentColor = 0x47465443,                               //	'GFTC'
	phKeyGIFTransparentIndexBlue = 0x47465442,                           //	'GFTB'
	phKeyGIFTransparentIndexGreen = 0x47465447,                          //	'GFTG'
	phKeyGIFTransparentIndexRed = 0x47465452,                            //	'GFTR'
	phKeyGIFUseBestMatch = 0x4746424d,                                   //	'GFBM'
	phKeyGamma = 0x476d6d20,                                             //	'Gmm '
	phKeyGlobalAngle = 0x67626c41,                                       //	'gblA'
	phKeyGlobalLightingAngle = 0x6761676c,                               //	'gagl'
	phKeyGloss = 0x476c6f73,                                             //	'Glos'
	phKeyGlowAmount = 0x476c7741,                                        //	'GlwA'
	phKeyGlowTechnique = 0x476c7754,                                     //	'GlwT'
	phKeyGradient = 0x47726164,                                          //	'Grad'
	phKeyGradientFill = 0x47726466,                                      //	'Grdf'
	phKeyGrain = 0x47726e20,                                             //	'Grn '
	phKeyGrainType = 0x47726e74,                                         //	'Grnt'
	phKeyGraininess = 0x47726e73,                                        //	'Grns'
	phKeyGray = 0x47727920,                                              //	'Gry '
	phKeyGrayBehavior = 0x47724268,                                      //	'GrBh'
	phKeyGraySetup = 0x47725374,                                         //	'GrSt'
	phKeyGreen = 0x47726e20,                                             //	'Grn '
	phKeyGreenBlackPoint = 0x47726e42,                                   //	'GrnB'
	phKeyGreenGamma = 0x47726e47,                                        //	'GrnG'
	phKeyGreenWhitePoint = 0x47726e57,                                   //	'GrnW'
	phKeyGreenX = 0x47726e58,                                            //	'GrnX'
	phKeyGreenY = 0x47726e59,                                            //	'GrnY'
	phKeyGridColor = 0x47726443,                                         //	'GrdC'
	phKeyGridCustomColor = 0x47726473,                                   //	'Grds'
	phKeyGridMajor = 0x4772644d,                                         //	'GrdM'
	phKeyGridMinor = 0x4772646e,                                         //	'Grdn'
	phKeyGridStyle = 0x47726453,                                         //	'GrdS'
	phKeyGridUnits = 0x47726474,                                         //	'Grdt'
	phKeyGroup = 0x47727570,                                             //	'Grup'
	phKeyGroutWidth = 0x47727457,                                        //	'GrtW'
	phKeyGuides = 0x47646573,                                            //	'Gdes'
	phKeyGuidesColor = 0x47647343,                                       //	'GdsC'
	phKeyGuidesCustomColor = 0x47647373,                                 //	'Gdss'
	phKeyGuidesStyle = 0x47647353,                                       //	'GdsS'
	phKeyGuidesPrefs = 0x47645072,                                       //	'GdPr'
	phKeyGutterWidth = 0x47747457,                                       //	'GttW'
	phKeyHalftoneFile = 0x486c6646,                                      //	'HlfF'
	phKeyHalftoneScreen = 0x486c6653,                                    //	'HlfS'
	phKeyHalftoneSpec = 0x486c6670,                                      //	'Hlfp'
	phKeyHalftoneSize = 0x486c537a,                                      //	'HlSz'
	phKeyHardness = 0x4872646e,                                          //	'Hrdn'
	phKeyHeader = 0x48647220,                                            //	'Hdr '
	phKeyHeadline = 0x48646c6e,                                          //	'Hdln'
	phKeyHeight = 0x48676874,                                            //	'Hght'
	phKeyHostName = 0x4873744e,                                          //	'HstN'
	phKeyHighlightArea = 0x48676841,                                     //	'HghA'
	phKeyHighlightColor = 0x68676c43,                                    //	'hglC'
	phKeyHighlightLevels = 0x4867684c,                                   //	'HghL'
	phKeyHighlightMode = 0x68676c4d,                                     //	'hglM'
	phKeyHighlightOpacity = 0x68676c4f,                                  //	'hglO'
	phKeyHighlightStrength = 0x48676853,                                 //	'HghS'
	phKeyHistoryBrushSource = 0x48737442,                                //	'HstB'
	phKeyHistoryPrefs = 0x48737450,                                      //	'HstP'
	phKeyHistoryStateSource = 0x48735353,                                //	'HsSS'
	phKeyHistoryStates = 0x48735374,                                     //	'HsSt'
	phKeyHorizontal = 0x48727a6e,                                        //	'Hrzn'
	phKeyHorizontalScale = 0x48727a53,                                   //	'HrzS'
	phKeyHostVersion = 0x48737456,                                       //	'HstV'
	phKeyHue = 0x48202020,                                               //	'H   '
	phKeyICCEngine = 0x49434345,                                         //	'ICCE'
	phKeyICCSetupName = 0x49434374,                                      //	'ICCt'
	phKeyID = 0x49646e74,                                                //	'Idnt'
	phKeyIdle = 0x49646c65,                                              //	'Idle'
	phKeyImageBalance = 0x496d6742,                                      //	'ImgB'
	phKeyImport = 0x496d7072,                                            //	'Impr'
	phKeyImpressionist = 0x496d7073,                                     //	'Imps'
	phKeyIn = 0x496e2020,                                                //	'In  '
	phKeyInherits = 0x6340235e,                                          //	'c@#^'
	phKeyInkColors = 0x496e6b43,                                         //	'InkC'
	phKeyInks = 0x496e6b73,                                              //	'Inks'
	phKeyInnerGlow = 0x4972476c,                                         //	'IrGl'
	phKeyInnerGlowSource = 0x676c7753,                                   //	'glwS'
	phKeyInnerShadow = 0x49725368,                                       //	'IrSh'
	phKeyInput = 0x496e7074,                                             //	'Inpt'
	phKeyInputMapRange = 0x496e6d72,                                     //	'Inmr'
	phKeyInputRange = 0x496e7072,                                        //	'Inpr'
	phKeyIntensity = 0x496e746e,                                         //	'Intn'
	phKeyIntent = 0x496e7465,                                            //	'Inte'
	phKeyInterfaceBevelHighlight = 0x496e7448,                           //	'IntH'
	phKeyInterfaceBevelShadow = 0x496e7476,                              //	'Intv'
	phKeyInterfaceBlack = 0x496e7442,                                    //	'IntB'
	phKeyInterfaceBorder = 0x496e7464,                                   //	'Intd'
	phKeyInterfaceButtonDarkShadow = 0x496e746b,                         //	'Intk'
	phKeyInterfaceButtonDownFill = 0x496e7474,                           //	'Intt'
	phKeyInterfaceButtonUpFill = 0x496e4246,                             //	'InBF'
	phKeyInterfaceColorBlue2 = 0x4943424c,                               //	'ICBL'
	phKeyInterfaceColorBlue32 = 0x49434248,                              //	'ICBH'
	phKeyInterfaceColorGreen2 = 0x4943474c,                              //	'ICGL'
	phKeyInterfaceColorGreen32 = 0x49434748,                             //	'ICGH'
	phKeyInterfaceColorRed2 = 0x4943524c,                                //	'ICRL'
	phKeyInterfaceColorRed32 = 0x49435248,                               //	'ICRH'
	phKeyInterfaceIconFillActive = 0x496e7449,                           //	'IntI'
	phKeyInterfaceIconFillDimmed = 0x496e7446,                           //	'IntF'
	phKeyInterfaceIconFillSelected = 0x496e7463,                         //	'Intc'
	phKeyInterfaceIconFrameActive = 0x496e746d,                          //	'Intm'
	phKeyInterfaceIconFrameDimmed = 0x496e7472,                          //	'Intr'
	phKeyInterfaceIconFrameSelected = 0x496e7453,                        //	'IntS'
	phKeyInterfacePaletteFill = 0x496e7450,                              //	'IntP'
	phKeyInterfaceRed = 0x496e7452,                                      //	'IntR'
	phKeyInterfaceWhite = 0x496e7457,                                    //	'IntW'
	phKeyInterfaceToolTipBackground = 0x496e7454,                        //	'IntT'
	phKeyInterfaceToolTipText = 0x49545454,                              //	'ITTT'
	phKeyInterfaceTransparencyForeground = 0x49544667,                   //	'ITFg'
	phKeyInterfaceTransparencyBackground = 0x49544267,                   //	'ITBg'
	phKeyInterlace = 0x496e7472,                                         //	'Intr'
	phKeyInterlaceCreateType = 0x496e7443,                               //	'IntC'
	phKeyInterlaceEliminateType = 0x496e7445,                            //	'IntE'
	phKeyInterpolation = 0x496e7472,                                     //	'Intr'
	phKeyInterpolationMethod = 0x496e744d,                               //	'IntM'
	phKeyInvert = 0x496e7672,                                            //	'Invr'
	phKeyInvertMask = 0x496e764d,                                        //	'InvM'
	phKeyInvertSource2 = 0x496e7653,                                     //	'InvS'
	phKeyInvertTexture = 0x496e7654,                                     //	'InvT'
	phKeyIsDirty = 0x49734472,                                           //	'IsDr'
	phKeyItemIndex = 0x49746d49,                                         //	'ItmI'
	phKeyJPEGQuality = 0x4a504551,                                       //	'JPEQ'
	phKeyKerning = 0x4b726e67,                                           //	'Krng'
	phKeyKeywords = 0x4b797764,                                          //	'Kywd'
	phKeyKind = 0x4b6e6420,                                              //	'Knd '
	phKeyLZWCompression = 0x4c5a5743,                                    //	'LZWC'
	phKeyLabels = 0x4c626c73,                                            //	'Lbls'
	phKeyLandscape = 0x4c6e6473,                                         //	'Lnds'
	phKeyLastTransform = 0x4c737454,                                     //	'LstT'
	phKeyLayerEffects = 0x4c656678,                                      //	'Lefx'
	phKeyLayerFXVisible = 0x6c667876,                                    //	'lfxv'
	phKeyLayer = 0x4c797220,                                             //	'Lyr '
	phKeyLayerID = 0x4c797249,                                           //	'LyrI'
	phKeyLayerName = 0x4c79724e,                                         //	'LyrN'
	phKeyLayers = 0x4c797273,                                            //	'Lyrs'
	phKeyLeading = 0x4c646e67,                                           //	'Ldng'
	phKeyLeft = 0x4c656674,                                              //	'Left'
	phKeyLength = 0x4c6e6774,                                            //	'Lngt'
	phKeyLens = 0x4c6e7320,                                              //	'Lns '
	phKeyLevel = 0x4c766c20,                                             //	'Lvl '
	phKeyLevels = 0x4c766c73,                                            //	'Lvls'
	phKeyLightDark = 0x4c674472,                                         //	'LgDr'
	phKeyLightDirection = 0x4c676844,                                    //	'LghD'
	phKeyLightIntensity = 0x4c676849,                                    //	'LghI'
	phKeyLightPosition = 0x4c676850,                                     //	'LghP'
	phKeyLightSource = 0x4c676853,                                       //	'LghS'
	phKeyLightType = 0x4c676854,                                         //	'LghT'
	phKeyLightenGrout = 0x4c676847,                                      //	'LghG'
	phKeyLightness = 0x4c676874,                                         //	'Lght'
	phKeyLine = 0x4c696e65,                                              //	'Line'
	phKeyLinkedLayerIDs = 0x4c6e6b4c,                                    //	'LnkL'
	phKeyLocalLightingAngle = 0x6c61676c,                                //	'lagl'
	phKeyLocalLightingAltitude = 0x4c616c64,                             //	'Lald'
	phKeyLocalRange = 0x4c636c52,                                        //	'LclR'
	phKeyLocation = 0x4c63746e,                                          //	'Lctn'
	phKeyLog = 0x4c6f6720,                                               //	'Log '
	phKeyLowerCase = 0x4c774373,                                         //	'LwCs'
	phKeyLuminance = 0x4c6d6e63,                                         //	'Lmnc'
	phKeyLUTAnimation = 0x4c546e6d,                                      //	'LTnm'
	phKeyMagenta = 0x4d676e74,                                           //	'Mgnt'
	phKeyMakeVisible = 0x4d6b5673,                                       //	'MkVs'
	phKeyManipulationFOV = 0x4d666f76,                                   //	'Mfov'
	phKeyMapBlack = 0x4d70426c,                                          //	'MpBl'
	phKeyMapping = 0x4d706e67,                                           //	'Mpng'
	phKeyMappingShape = 0x4d706753,                                      //	'MpgS'
	phKeyMaterial = 0x4d74726c,                                          //	'Mtrl'
	phKeyMatrix = 0x4d747278,                                            //	'Mtrx'
	phKeyMatteColor = 0x4d747443,                                        //	'MttC'
	phKeyMaximum = 0x4d786d20,                                           //	'Mxm '
	phKeyMaximumStates = 0x4d786d53,                                     //	'MxmS'
	phKeyMemoryUsagePercent = 0x4d6d7255,                                //	'MmrU'
	phKeyMerge = 0x4d726765,                                             //	'Mrge'
	phKeyMerged = 0x4d726764,                                            //	'Mrgd'
	phKeyMessage = 0x4d736765,                                           //	'Msge'
	phKeyMethod = 0x4d746864,                                            //	'Mthd'
	phKeyMezzotintType = 0x4d7a7454,                                     //	'MztT'
	phKeyMidpoint = 0x4d64706e,                                          //	'Mdpn'
	phKeyMidtoneLevels = 0x4d64744c,                                     //	'MdtL'
	phKeyMinimum = 0x4d6e6d20,                                           //	'Mnm '
	phKeyMismatchCMYK = 0x4d736d43,                                      //	'MsmC'
	phKeyMismatchGray = 0x4d736d47,                                      //	'MsmG'
	phKeyMismatchRGB = 0x4d736d52,                                       //	'MsmR'
	phKeyMode = 0x4d642020,                                              //	'Md  '
	phKeyMonochromatic = 0x4d6e6368,                                     //	'Mnch'
	phKeyMoveTo = 0x4d765420,                                            //	'MvT '
	phKeyName = 0x4e6d2020,                                              //	'Nm  '
	phKeyNegative = 0x4e677476,                                          //	'Ngtv'
	phKeyNew = 0x4e772020,                                               //	'Nw  '
	phKeyNoise = 0x4e6f7365,                                             //	'Nose'
	phKeyNonImageData = 0x4e6e496d,                                      //	'NnIm'
	phKeyNonLinear = 0x4e6e4c6e,                                         //	'NnLn'
	phKeyNull = 0x6e756c6c,                                              //	'null'
	phKeyNumLights = 0x4e6d2020,                                         //	'Nm  '
	phKeyNumber = 0x4e6d6272,                                            //	'Nmbr'
	phKeyNumberOfCacheLevels = 0x4e436368,                               //	'NCch'
	phKeyNumberOfChannels = 0x4e6d624f,                                  //	'NmbO'
	phKeyNumberOfChildren = 0x4e6d6243,                                  //	'NmbC'
	phKeyNumberOfDocuments = 0x4e6d6244,                                 //	'NmbD'
	phKeyNumberOfGenerators = 0x4e6d6247,                                //	'NmbG'
	phKeyNumberOfLayers = 0x4e6d624c,                                    //	'NmbL'
	phKeyNumberOfLevels = 0x4e6d624c,                                    //	'NmbL'
	phKeyNumberOfPaths = 0x4e6d6250,                                     //	'NmbP'
	phKeyNumberOfRipples = 0x4e6d6252,                                   //	'NmbR'
	phKeyNumberOfSiblings = 0x4e6d6253,                                  //	'NmbS'
	phKeyObjectName = 0x4f626a4e,                                        //	'ObjN'
	phKeyOffset = 0x4f667374,                                            //	'Ofst'
	phKeyOn = 0x4f6e2020,                                                //	'On  '
	phKeyOpacity = 0x4f706374,                                           //	'Opct'
	phKeyOptimized = 0x4f70746d,                                         //	'Optm'
	phKeyOrientation = 0x4f726e74,                                       //	'Ornt'
	phKeyOriginalHeader = 0x4f726748,                                    //	'OrgH'
	phKeyOriginalTransmissionReference = 0x4f726754,                     //	'OrgT'
	phKeyOtherCursors = 0x4f746843,                                      //	'OthC'
	phKeyOuterGlow = 0x4f72476c,                                         //	'OrGl'
	phKeyOutput = 0x4f747074,                                            //	'Otpt'
	phKeyOverprintColors = 0x4f767243,                                   //	'OvrC'
	phKeyOverrideOpen = 0x4f76724f,                                      //	'OvrO'
	phKeyOverridePrinter = 0x4f627250,                                   //	'ObrP'
	phKeyOverrideSave = 0x4f767264,                                      //	'Ovrd'
	phKeyPaintCursorKind = 0x506e434b,                                   //	'PnCK'
	phKeyParentIndex = 0x5072496e,                                       //	'PrIn'
	phKeyParentName = 0x50724e6d,                                        //	'PrNm'
	phKeyPNGFilter = 0x504e4766,                                         //	'PNGf'
	phKeyPNGInterlaceType = 0x50474954,                                  //	'PGIT'
	phKeyPageFormat = 0x504d7066,                                        //	'PMpf'
	phKeyPageNumber = 0x50674e6d,                                        //	'PgNm'
	phKeyPageSetup = 0x50675374,                                         //	'PgSt'
	phKeyPagePosition = 0x50675073,                                      //	'PgPs'
	phKeyPaintingCursors = 0x506e7443,                                   //	'PntC'
	phKeyPaintType = 0x506e7454,                                         //	'PntT'
	phKeyPalette = 0x506c7420,                                           //	'Plt '
	phKeyPaletteFile = 0x506c7446,                                       //	'PltF'
	phKeyPaperBrightness = 0x50707242,                                   //	'PprB'
	phKeyPath = 0x50617468,                                              //	'Path'
	phKeyPathContents = 0x50746843,                                      //	'PthC'
	phKeyPathName = 0x5074684e,                                          //	'PthN'
	phKeyPattern = 0x5074746e,                                           //	'Pttn'
	phKeyPencilWidth = 0x506e636c,                                       //	'Pncl'
	phKeyPerspectiveIndex = 0x50727370,                                  //	'Prsp'
	phKeyPhosphors = 0x50687370,                                         //	'Phsp'
	phKeyPickerID = 0x50636b49,                                          //	'PckI'
	phKeyPickerKind = 0x50636b72,                                        //	'Pckr'
	phKeyPixelPaintSize = 0x5050537a,                                    //	'PPSz'
	phKeyPlatform = 0x506c7466,                                          //	'Pltf'
	phKeyPluginFolder = 0x506c6746,                                      //	'PlgF'
	phKeyPluginPrefs = 0x506c6750,                                       //	'PlgP'
	phKeyPoints = 0x50747320,                                            //	'Pts '
	phKeyPosition = 0x5073746e,                                          //	'Pstn'
	phKeyPosterization = 0x50737472,                                     //	'Pstr'
	phKeyPostScriptColor = 0x50737453,                                   //	'PstS'
	phKeyPredefinedColors = 0x50726443,                                  //	'PrdC'
	phKeyPreferBuiltin = 0x50726642,                                     //	'PrfB'
	phKeyPreserveAdditional = 0x50727341,                                //	'PrsA'
	phKeyPreserveLuminosity = 0x5072734c,                                //	'PrsL'
	phKeyPreserveTransparency = 0x50727354,                              //	'PrsT'
	phKeyPressure = 0x50727320,                                          //	'Prs '
	phKeyPreferences = 0x50726672,                                       //	'Prfr'
	phKeyPreview = 0x50727677,                                           //	'Prvw'
	phKeyPreviewCMYK = 0x5072764b,                                       //	'PrvK'
	phKeyPreviewFullSize = 0x50727646,                                   //	'PrvF'
	phKeyPreviewIcon = 0x50727649,                                       //	'PrvI'
	phKeyPreviewMacThumbnail = 0x5072764d,                               //	'PrvM'
	phKeyPreviewWinThumbnail = 0x50727657,                               //	'PrvW'
	phKeyPreviewsQuery = 0x50727651,                                     //	'PrvQ'
	phKeyPrintSettings = 0x504d7073,                                     //	'PMps'
	phKeyProfileSetup = 0x50726653,                                      //	'PrfS'
	phKeyProvinceState = 0x50727653,                                     //	'PrvS'
	phKeyQuality = 0x516c7479,                                           //	'Qlty'
	phKeyExtendedQuality = 0x45516c74,                                   //	'EQlt'
	phKeyQuickMask = 0x5175634d,                                         //	'QucM'
	phKeyRGBSetup = 0x52474253,                                          //	'RGBS'
	phKeyRadius = 0x52647320,                                            //	'Rds '
	phKeyRandomSeed = 0x526e6453,                                        //	'RndS'
	phKeyRatio = 0x52742020,                                             //	'Rt  '
	phKeyRecentFiles = 0x52636e66,                                       //	'Rcnf'
	phKeyRed = 0x52642020,                                               //	'Rd  '
	phKeyRedBlackPoint = 0x5264426c,                                     //	'RdBl'
	phKeyRedGamma = 0x5264476d,                                          //	'RdGm'
	phKeyRedWhitePoint = 0x52645768,                                     //	'RdWh'
	phKeyRedX = 0x52645820,                                              //	'RdX '
	phKeyRedY = 0x52645920,                                              //	'RdY '
	phKeyRegistrationMarks = 0x5267734d,                                 //	'RgsM'
	phKeyRelative = 0x526c7476,                                          //	'Rltv'
	phKeyRelief = 0x526c6620,                                            //	'Rlf '
	phKeyRenderFidelity = 0x52666964,                                    //	'Rfid'
	phKeyResample = 0x52736d70,                                          //	'Rsmp'
	phKeyResizeWindowsOnZoom = 0x52574f5a,                               //	'RWOZ'
	phKeyResolution = 0x52736c74,                                        //	'Rslt'
	phKeyResourceID = 0x52737249,                                        //	'RsrI'
	phKeyResponse = 0x5273706e,                                          //	'Rspn'
	phKeyRetainHeader = 0x52746e48,                                      //	'RtnH'
	phKeyReverse = 0x52767273,                                           //	'Rvrs'
	phKeyRight = 0x52676874,                                             //	'Rght'
	phKeyRippleMagnitude = 0x52706c4d,                                   //	'RplM'
	phKeyRippleSize = 0x52706c53,                                        //	'RplS'
	phKeyRotate = 0x52747420,                                            //	'Rtt '
	phKeyRoundness = 0x526e646e,                                         //	'Rndn'
	phKeyRulerOriginH = 0x526c7248,                                      //	'RlrH'
	phKeyRulerOriginV = 0x526c7256,                                      //	'RlrV'
	phKeyRulerUnits = 0x526c7255,                                        //	'RlrU'
	phKeySaturation = 0x53747274,                                        //	'Strt'
	phKeySaveAndClose = 0x5376416e,                                      //	'SvAn'
	phKeySaveComposite = 0x5376436d,                                     //	'SvCm'
	phKeySavePaletteLocations = 0x506c744c,                              //	'PltL'
	phKeySavePaths = 0x53765074,                                         //	'SvPt'
	phKeySavePyramids = 0x53765079,                                      //	'SvPy'
	phKeySaving = 0x53766e67,                                            //	'Svng'
	phKeyScale = 0x53636c20,                                             //	'Scl '
	phKeyScaleHorizontal = 0x53636c48,                                   //	'SclH'
	phKeyScaleVertical = 0x53636c56,                                     //	'SclV'
	phKeyScaling = 0x53636c6e,                                           //	'Scln'
	phKeyScans = 0x53636e73,                                             //	'Scns'
	phKeyScratchDisks = 0x53637244,                                      //	'ScrD'
	phKeyScreenFile = 0x53637246,                                        //	'ScrF'
	phKeyScreenType = 0x53637254,                                        //	'ScrT'
	phKeyShadingIntensity = 0x53686449,                                  //	'ShdI'
	phKeyShadingNoise = 0x5368644e,                                      //	'ShdN'
	phKeyShadingShape = 0x53686453,                                      //	'ShdS'
	phKeyContourType = 0x53687043,                                       //	'ShpC'
	phKeySerialString = 0x53726c53,                                      //	'SrlS'
	phKeySeparations = 0x53707274,                                       //	'Sprt'
	phKeyShadowColor = 0x73647743,                                       //	'sdwC'
	phKeyShadowIntensity = 0x53686449,                                   //	'ShdI'
	phKeyShadowLevels = 0x5368644c,                                      //	'ShdL'
	phKeyShadowMode = 0x7364774d,                                        //	'sdwM'
	phKeyShadowOpacity = 0x7364774f,                                     //	'sdwO'
	phKeyShape = 0x53687020,                                             //	'Shp '
	phKeySharpness = 0x53687270,                                         //	'Shrp'
	phKeyShearEd = 0x53687245,                                           //	'ShrE'
	phKeyShearPoints = 0x53687250,                                       //	'ShrP'
	phKeyShearSt = 0x53687253,                                           //	'ShrS'
	phKeyShiftKey = 0x5368664b,                                          //	'ShfK'
	phKeyShiftKeyToolSwitch = 0x53684b54,                                //	'ShKT'
	phKeyShortNames = 0x5368724e,                                        //	'ShrN'
	phKeyShowEnglishFontNames = 0x53687745,                              //	'ShwE'
	phKeyShowToolTips = 0x53687754,                                      //	'ShwT'
	phKeyShowTransparency = 0x53685472,                                  //	'ShTr'
	phKeySizeKey = 0x537a2020,                                           //	'Sz  '
	phKeySkew = 0x536b6577,                                              //	'Skew'
	phKeySmartBlurMode = 0x536d424d,                                     //	'SmBM'
	phKeySmartBlurQuality = 0x536d4251,                                  //	'SmBQ'
	phKeySmooth = 0x536d6f6f,                                            //	'Smoo'
	phKeySmoothness = 0x536d7468,                                        //	'Smth'
	phKeySnapshotInitial = 0x536e7049,                                   //	'SnpI'
	phKeySoftness = 0x5366746e,                                          //	'Sftn'
	phKeySolidFill = 0x536f4669,                                         //	'SoFi'
	phKeySource = 0x53726365,                                            //	'Srce'
	phKeySource2 = 0x53726332,                                           //	'Src2'
	phKeySourceMode = 0x5372634d,                                        //	'SrcM'
	phKeySpacing = 0x5370636e,                                           //	'Spcn'
	phKeySpecialInstructions = 0x53706349,                               //	'SpcI'
	phKeySpherizeMode = 0x5370684d,                                      //	'SphM'
	phKeySpot = 0x53706f74,                                              //	'Spot'
	phKeySprayRadius = 0x53707252,                                       //	'SprR'
	phKeySquareSize = 0x53717253,                                        //	'SqrS'
	phKeySrcBlackMax = 0x5372636c,                                       //	'Srcl'
	phKeySrcBlackMin = 0x53726342,                                       //	'SrcB'
	phKeySrcWhiteMax = 0x5372636d,                                       //	'Srcm'
	phKeySrcWhiteMin = 0x53726357,                                       //	'SrcW'
	phKeyStart = 0x53747274,                                             //	'Strt'
	phKeyStartArrowhead = 0x53747241,                                    //	'StrA'
	phKeyState = 0x53747465,                                             //	'Stte'
	phKeyStrength = 0x73726768,                                          //	'srgh'
	phKeyStrengthRatio = 0x73726752,                                     //	'srgR'
	phKeyStrength_PLUGIN = 0x53747267,                                   //	'Strg'
	phKeyStrokeDetail = 0x53744474,                                      //	'StDt'
	phKeyStrokeDirection = 0x53446972,                                   //	'SDir'
	phKeyStrokeLength = 0x5374724c,                                      //	'StrL'
	phKeyStrokePressure = 0x53747250,                                    //	'StrP'
	phKeyStrokeSize = 0x53747253,                                        //	'StrS'
	phKeyStrokeWidth = 0x53747257,                                       //	'StrW'
	phKeyStyle = 0x5374796c,                                             //	'Styl'
	phKeyStyles = 0x53747973,                                            //	'Stys'
	phKeyStylusIsPressure = 0x53746c50,                                  //	'StlP'
	phKeyStylusIsColor = 0x53746c43,                                     //	'StlC'
	phKeyStylusIsOpacity = 0x53746c4f,                                   //	'StlO'
	phKeyStylusIsSize = 0x53746c53,                                      //	'StlS'
	phKeySubPathList = 0x5362704c,                                       //	'SbpL'
	phKeySupplementalCategories = 0x53706c43,                            //	'SplC'
	phKeySystemInfo = 0x53737449,                                        //	'SstI'
	phKeySystemPalette = 0x53737450,                                     //	'SstP'
	phKeyTarget = 0x6e756c6c,                                            //	'null'
	phKeyTargetPath = 0x54726770,                                        //	'Trgp'
	phKeyTargetPathIndex = 0x54726750,                                   //	'TrgP'
	phKeyText = 0x54787420,                                              //	'Txt '
	phKeyTextClickPoint = 0x54787443,                                    //	'TxtC'
	phKeyTextData = 0x54787444,                                          //	'TxtD'
	phKeyTextStyle = 0x54787453,                                         //	'TxtS'
	phKeyTextStyleRange = 0x54787474,                                    //	'Txtt'
	phKeyTexture = 0x54787472,                                           //	'Txtr'
	phKeyTextureCoverage = 0x54787443,                                   //	'TxtC'
	phKeyTextureFile = 0x54787446,                                       //	'TxtF'
	phKeyTextureType = 0x54787454,                                       //	'TxtT'
	phKeyThreshold = 0x54687368,                                         //	'Thsh'
	phKeyTileNumber = 0x546c4e6d,                                        //	'TlNm'
	phKeyTileOffset = 0x546c4f66,                                        //	'TlOf'
	phKeyTileSize = 0x546c537a,                                          //	'TlSz'
	phKeyTitle = 0x54746c20,                                             //	'Ttl '
	phKeyTo = 0x54202020,                                                //	'T   '
	phKeyToBuiltin = 0x54426c20,                                         //	'TBl '
	phKeyToLinked = 0x546f4c6b,                                          //	'ToLk'
	phKeyToMode = 0x544d6420,                                            //	'TMd '
	phKeyToggleOthers = 0x54676c4f,                                      //	'TglO'
	phKeyTolerance = 0x546c726e,                                         //	'Tlrn'
	phKeyTop = 0x546f7020,                                               //	'Top '
	phKeyTotalLimit = 0x54746c4c,                                        //	'TtlL'
	phKeyTracking = 0x5472636b,                                          //	'Trck'
	phKeyTransferSpec = 0x54726e53,                                      //	'TrnS'
	phKeyTransparencyGrid = 0x54726e47,                                  //	'TrnG'
	phKeyTransferFunction = 0x54726e46,                                  //	'TrnF'
	phKeyTransparency = 0x54726e73,                                      //	'Trns'
	phKeyTransparencyGridColors = 0x54726e43,                            //	'TrnC'
	phKeyTransparencyGridSize = 0x54726e47,                              //	'TrnG'
	phKeyTransparencyPrefs = 0x54726e50,                                 //	'TrnP'
	phKeyTransparencyShape = 0x54726e53,                                 //	'TrnS'
	phKeyTransparentIndex = 0x54726e49,                                  //	'TrnI'
	phKeyTransparentWhites = 0x54726e57,                                 //	'TrnW'
	phKeyTwist = 0x54777374,                                             //	'Twst'
	phKeyType = 0x54797065,                                              //	'Type'
	phKeyUCA = 0x55432020,                                               //	'UC  '
	phKeyUnitsPrefs = 0x556e7450,                                        //	'UntP'
	phKeyURL = 0x55524c20,                                               //	'URL '
	phKeyUndefinedArea = 0x556e6441,                                     //	'UndA'
	phKeyUnderline = 0x556e646c,                                         //	'Undl'
	phKeyUntitled = 0x556e746c,                                          //	'Untl'
	phKeyUpperY = 0x55707059,                                            //	'UppY'
	phKeyUrgency = 0x5572676e,                                           //	'Urgn'
	phKeyUseAccurateScreens = 0x41637253,                                //	'AcrS'
	phKeyUseAdditionalPlugins = 0x4164506c,                              //	'AdPl'
	phKeyUseCacheForHistograms = 0x55734363,                             //	'UsCc'
	phKeyUseCurves = 0x55734372,                                         //	'UsCr'
	phKeyUseDefault = 0x55734466,                                        //	'UsDf'
	phKeyUseGlobalAngle = 0x75676c67,                                    //	'uglg'
	phKeyUseICCProfile = 0x55734943,                                     //	'UsIC'
	phKeyUseMask = 0x55734d73,                                           //	'UsMs'
	phKeyUserMaskEnabled = 0x5573724d,                                   //	'UsrM'
	phKeyUserMaskLinked = 0x55737273,                                    //	'Usrs'
	phKeyUsing = 0x55736e67,                                             //	'Usng'
	phKeyValue = 0x566c2020,                                             //	'Vl  '
	phKeyVector0 = 0x56637430,                                           //	'Vct0'
	phKeyVector1 = 0x56637431,                                           //	'Vct1'
	phKeyVectorColor = 0x56637443,                                       //	'VctC'
	phKeyVersionFix = 0x56727346,                                        //	'VrsF'
	phKeyVersionMajor = 0x5672734d,                                      //	'VrsM'
	phKeyVersionMinor = 0x5672734e,                                      //	'VrsN'
	phKeyVertical = 0x56727463,                                          //	'Vrtc'
	phKeyVerticalScale = 0x56727453,                                     //	'VrtS'
	phKeyVideoAlpha = 0x56646c70,                                        //	'Vdlp'
	phKeyVisible = 0x5673626c,                                           //	'Vsbl'
	phKeyWatchSuspension = 0x57746353,                                   //	'WtcS'
	phKeyWatermark = 0x77617472,                                         //	'watr'
	phKeyWaveType = 0x57767470,                                          //	'Wvtp'
	phKeyWavelengthMax = 0x574c4d78,                                     //	'WLMx'
	phKeyWavelengthMin = 0x574c4d6e,                                     //	'WLMn'
	phKeyWebdavPrefs = 0x57626450,                                       //	'WbdP'
	phKeyWetEdges = 0x57746467,                                          //	'Wtdg'
	phKeyWhat = 0x57686174,                                              //	'What'
	phKeyWhiteClip = 0x57687443,                                         //	'WhtC'
	phKeyWhiteIntensity = 0x57687449,                                    //	'WhtI'
	phKeyWhiteIsHigh = 0x57684869,                                       //	'WhHi'
	phKeyWhiteLevel = 0x5768744c,                                        //	'WhtL'
	phKeyWhitePoint = 0x57687450,                                        //	'WhtP'
	phKeyWholePath = 0x57685074,                                         //	'WhPt'
	phKeyWidth = 0x57647468,                                             //	'Wdth'
	phKeyWindMethod = 0x576e644d,                                        //	'WndM'
	phKeyWith = 0x57697468,                                              //	'With'
	phKeyWorkPath = 0x57725074,                                          //	'WrPt'
	phKeyWorkPathIndex = 0x57726b50,                                     //	'WrkP'
	phKeyX = 0x58202020,                                                 //	'X   '
	phKeyY = 0x59202020,                                                 //	'Y   '
	phKeyYellow = 0x596c7720,                                            //	'Ylw '
	phKeyZigZagType = 0x5a5a5479,                                        //	'ZZTy'
	phKeyLighter = 0x4c696768,                                           //	'Ligh'
	phKeyDarker = 0x4461726b,                                            //	'Dark'
	phKeyLegacySerialString = 0x6c534e73,                                //	'lSNs'
	phKey_Source = 0x54202020,                                           //	'T   '
	phPInherits = 0x6340235e,                                            //	'c@#^'
	phTypeActionReference = 0x23416374,                                  //	'#Act'
	phTypeActionData = 0x41637444,                                       //	'ActD'
	phTypeAlignDistributeSelector = 0x41445374,                          //	'ADSt'
	phTypeAlignment = 0x416c6720,                                        //	'Alg '
	phTypeAmount = 0x416d6e74,                                           //	'Amnt'
	phTypeAntiAlias = 0x416e6e74,                                        //	'Annt'
	phTypeAreaSelector = 0x4172536c,                                     //	'ArSl'
	phTypeAssumeOptions = 0x4173734f,                                    //	'AssO'
	phTypeBevelEmbossStampStyle = 0x42455373,                            //	'BESs'
	phTypeBevelEmbossStyle = 0x4245536c,                                 //	'BESl'
	phTypeBitDepth = 0x42744470,                                         //	'BtDp'
	phTypeBlackGeneration = 0x426c6347,                                  //	'BlcG'
	phTypeBlendMode = 0x426c6e4d,                                        //	'BlnM'
	phTypeBlurMethod = 0x426c724d,                                       //	'BlrM'
	phTypeBlurQuality = 0x426c7251,                                      //	'BlrQ'
	phTypeBrushType = 0x42727354,                                        //	'BrsT'
	phTypeBuiltinProfile = 0x426c7450,                                   //	'BltP'
	phTypeBuiltInContour = 0x426c7443,                                   //	'BltC'
	phTypeCMYKSetupEngine = 0x434d5945,                                  //	'CMYE'
	phTypeCalculation = 0x436c636e,                                      //	'Clcn'
	phTypeChannel = 0x43686e6c,                                          //	'Chnl'
	phTypeChannelReference = 0x23436852,                                 //	'#ChR'
	phTypeCheckerboardSize = 0x4368636b,                                 //	'Chck'
	phTypeClass = 0x74797065,                                            //	'type'
	phTypeClassColor = 0x23436c72,                                       //	'#Clr'
	phTypeClassElement = 0x23436c45,                                     //	'#ClE'
	phTypeClassExport = 0x23436c65,                                      //	'#Cle'
	phTypeClassFormat = 0x23436c46,                                      //	'#ClF'
	phTypeClassHueSatHueSatV2 = 0x23487356,                              //	'#HsV'
	phTypeClassImport = 0x23436c49,                                      //	'#ClI'
	phTypeClassMode = 0x23436c4d,                                        //	'#ClM'
	phTypeClassStringFormat = 0x23436c53,                                //	'#ClS'
	phTypeClassTextExport = 0x23435445,                                  //	'#CTE'
	phTypeClassTextImport = 0x23436c54,                                  //	'#ClT'
	phTypeColor = 0x436c7220,                                            //	'Clr '
	phTypeColorChannel = 0x23436c43,                                     //	'#ClC'
	phTypeColorPalette = 0x436c7250,                                     //	'ClrP'
	phTypeColorSpace = 0x436c7253,                                       //	'ClrS'
	phTypeColorStopType = 0x436c7279,                                    //	'Clry'
	phTypeColors = 0x436c7273,                                           //	'Clrs'
	phTypeCompensation = 0x436d706e,                                     //	'Cmpn'
	phTypeContourEdge = 0x436e7445,                                      //	'CntE'
	phTypeConvert = 0x436e7672,                                          //	'Cnvr'
	phTypeCorrectionMethod = 0x4372634d,                                 //	'CrcM'
	phTypeCursorKind = 0x4372734b,                                       //	'CrsK'
	phTypeDCS = 0x44435320,                                              //	'DCS '
	phTypeDeepDepth = 0x44704470,                                        //	'DpDp'
	phTypeDepth = 0x44707468,                                            //	'Dpth'
	phTypeDiffuseMode = 0x4466734d,                                      //	'DfsM'
	phTypeDirection = 0x44726374,                                        //	'Drct'
	phTypeDisplacementMap = 0x4473704d,                                  //	'DspM'
	phTypeDistribution = 0x44737472,                                     //	'Dstr'
	phTypeDither = 0x44746872,                                           //	'Dthr'
	phTypeDitherQuality = 0x44746871,                                    //	'Dthq'
	phTypeDocumentReference = 0x23446352,                                //	'#DcR'
	phTypeEPSPreview = 0x45505350,                                       //	'EPSP'
	phTypeElementReference = 0x23456c52,                                 //	'#ElR'
	phTypeEncoding = 0x456e6364,                                         //	'Encd'
	phTypeEraserKind = 0x4572734b,                                       //	'ErsK'
	phTypeExtrudeRandom = 0x45787452,                                    //	'ExtR'
	phTypeExtrudeType = 0x45787454,                                      //	'ExtT'
	phTypeEyeDropperSample = 0x45794470,                                 //	'EyDp'
	phTypeFPXCompress = 0x4678436d,                                      //	'FxCm'
	phTypeFill = 0x466c2020,                                             //	'Fl  '
	phTypeFillColor = 0x466c436c,                                        //	'FlCl'
	phTypeFillContents = 0x466c436e,                                     //	'FlCn'
	phTypeFillMode = 0x466c4d64,                                         //	'FlMd'
	phTypeForcedColors = 0x46726343,                                     //	'FrcC'
	phTypeFrameFill = 0x4672466c,                                        //	'FrFl'
	phTypeFrameStyle = 0x4653746c,                                       //	'FStl'
	phTypeGIFColorFileType = 0x47465054,                                 //	'GFPT'
	phTypeGIFPaletteType = 0x4746504c,                                   //	'GFPL'
	phTypeGIFRequiredColorSpaceType = 0x47464353,                        //	'GFCS'
	phTypeGIFRowOrderType = 0x47464954,                                  //	'GFIT'
	phTypeGlobalClass = 0x476c6243,                                      //	'GlbC'
	phTypeGlobalObject = 0x476c624f,                                     //	'GlbO'
	phTypeGradientType = 0x47726454,                                     //	'GrdT'
	phTypeGradientForm = 0x47726446,                                     //	'GrdF'
	phTypeGrainType = 0x47726e74,                                        //	'Grnt'
	phTypeGrayBehavior = 0x47724268,                                     //	'GrBh'
	phTypeGuideGridColor = 0x47644772,                                   //	'GdGr'
	phTypeGuideGridStyle = 0x47644753,                                   //	'GdGS'
	phTypeHistoryStateSource = 0x48737453,                               //	'HstS'
	phTypeHorizontalLocation = 0x48727a4c,                               //	'HrzL'
	phTypeImageReference = 0x23496d52,                                   //	'#ImR'
	phTypeInnerGlowSource = 0x49475372,                                  //	'IGSr'
	phTypeIntegerChannel = 0x23696e43,                                   //	'#inC'
	phTypeIntent = 0x496e7465,                                           //	'Inte'
	phTypeInterlaceCreateType = 0x496e7443,                              //	'IntC'
	phTypeInterlaceEliminateType = 0x496e7445,                           //	'IntE'
	phTypeInterpolation = 0x496e7470,                                    //	'Intp'
	phTypeKelvin = 0x4b6c766e,                                           //	'Klvn'
	phTypeKelvinCustomWhitePoint = 0x234b6c76,                           //	'#Klv'
	phTypeLens = 0x4c6e7320,                                             //	'Lns '
	phTypeLightDirection = 0x4c676844,                                   //	'LghD'
	phTypeLightPosition = 0x4c676850,                                    //	'LghP'
	phTypeLightType = 0x4c676854,                                        //	'LghT'
	phTypeLocationReference = 0x234c6374,                                //	'#Lct'
	phTypeMaskIndicator = 0x4d736b49,                                    //	'MskI'
	phTypeMatteColor = 0x4d747443,                                       //	'MttC'
	phTypeMatteTechnique = 0x42455445,                                   //	'BETE'
	phTypeMenuItem = 0x4d6e4974,                                         //	'MnIt'
	phTypeMethod = 0x4d746864,                                           //	'Mthd'
	phTypeMezzotintType = 0x4d7a7454,                                    //	'MztT'
	phTypeMode = 0x4d642020,                                             //	'Md  '
	phTypeNotify = 0x4e746679,                                           //	'Ntfy'
	phTypeObject = 0x4f626a63,                                           //	'Objc'
	phTypeObjectReference = 0x6f626a20,                                  //	'obj '
	phTypeOnOff = 0x4f6e4f66,                                            //	'OnOf'
	phTypeOrdinal = 0x4f72646e,                                          //	'Ordn'
	phTypeOrientation = 0x4f726e74,                                      //	'Ornt'
	phTypePNGFilter = 0x504e4766,                                        //	'PNGf'
	phTypePNGInterlaceType = 0x50474954,                                 //	'PGIT'
	phTypePagePosition = 0x50675073,                                     //	'PgPs'
	phTypePathKind = 0x5074684b,                                         //	'PthK'
	phTypePathReference = 0x23507452,                                    //	'#PtR'
	phTypePhosphors = 0x50687370,                                        //	'Phsp'
	phTypePhosphorsCustomPhosphors = 0x23506873,                         //	'#Phs'
	phTypePickerKind = 0x50636b4b,                                       //	'PckK'
	phTypePixelPaintSize = 0x5050537a,                                   //	'PPSz'
	phTypePlatform = 0x506c7466,                                         //	'Pltf'
	phTypePreview = 0x50727677,                                          //	'Prvw'
	phTypePreviewCMYK = 0x50727674,                                      //	'Prvt'
	phTypeProfileMismatch = 0x5072664d,                                  //	'PrfM'
	phTypePurgeItem = 0x50726749,                                        //	'PrgI'
	phTypeQuadCenterState = 0x51435374,                                  //	'QCSt'
	phTypeQuality = 0x516c7479,                                          //	'Qlty'
	phTypeQueryState = 0x51757253,                                       //	'QurS'
	phTypeRGBSetupSource = 0x52474253,                                   //	'RGBS'
	phTypeRawData = 0x74647461,                                          //	'tdta'
	phTypeRippleSize = 0x52706c53,                                       //	'RplS'
	phTypeRulerUnits = 0x526c7255,                                       //	'RlrU'
	phTypeScreenType = 0x53637254,                                       //	'ScrT'
	phTypeShape = 0x53687020,                                            //	'Shp '
	phTypeSmartBlurMode = 0x536d424d,                                    //	'SmBM'
	phTypeSmartBlurQuality = 0x536d4251,                                 //	'SmBQ'
	phTypeSourceMode = 0x436e646e,                                       //	'Cndn'
	phTypeSpherizeMode = 0x5370684d,                                     //	'SphM'
	phTypeState = 0x53747465,                                            //	'Stte'
	phTypeStringClassFormat = 0x23537443,                                //	'#StC'
	phTypeStringChannel = 0x23737468,                                    //	'#sth'
	phTypeStringCompensation = 0x2353746d,                               //	'#Stm'
	phTypeStringFSS = 0x23537466,                                        //	'#Stf'
	phTypeStringInteger = 0x23537449,                                    //	'#StI'
	phTypeStrokeDirection = 0x53747244,                                  //	'StrD'
	phTypeStrokeLocation = 0x5374724c,                                   //	'StrL'
	phTypeText = 0x54455854,                                             //	'TEXT'
	phTypeTextureType = 0x54787454,                                      //	'TxtT'
	phTypeTransparencyGridColors = 0x54726e6c,                           //	'Trnl'
	phTypeTransparencyGridSize = 0x54726e47,                             //	'TrnG'
	phTypeTypeClassModeOrClassMode = 0x2354794d,                         //	'#TyM'
	phTypeUndefinedArea = 0x556e6441,                                    //	'UndA'
	phTypeUnitFloat = 0x556e7446,                                        //	'UntF'
	phTypeUrgency = 0x5572676e,                                          //	'Urgn'
	phTypeUserMaskOptions = 0x5573724d,                                  //	'UsrM'
	phTypeValueList = 0x566c4c73,                                        //	'VlLs'
	phTypeVerticalLocation = 0x5672744c,                                 //	'VrtL'
	phTypeWaveType = 0x57767470,                                         //	'Wvtp'
	phTypeWindMethod = 0x576e644d,                                       //	'WndM'
	phTypeYesNo = 0x59734e20,                                            //	'YsN '
	phTypeZigZagType = 0x5a5a5479,                                       //	'ZZTy'
	phUnitAngle = 0x23416e67,                                            //	'#Ang'
	phUnitDensity = 0x2352736c,                                          //	'#Rsl'
	phUnitDistance = 0x23526c74,                                         //	'#Rlt'
	phUnitNone = 0x234e6e65,                                             //	'#Nne'
	phUnitPercent = 0x23507263,                                          //	'#Prc'
	phUnitPixels = 0x2350786c,                                           //	'#Pxl'
	} PSConstants;

#endif // qVBLizards

#endif // OLECONSTS_H
