// ADOBE SYSTEMS INCORPORATED
// Copyright  1993 - 2002 Adobe Systems Incorporated
// All Rights Reserved
//
// NOTICE:  Adobe permits you to use, modify, and distribute this 
// file in accordance with the terms of the Adobe license agreement
// accompanying it.  If you have received this file from a source
// other than Adobe, then your use, modification, or distribution
// of it requires the prior written permission of Adobe.
//-------------------------------------------------------------------
//-------------------------------------------------------------------------------
//
//	File:
//		PropetizerTerminology.h
//
//	Description:
//		This file contains the resource definitions
//		for the Filter module Propetizer, a module that
//		examines and displays grids and guide settings,
//		then makes pseudo-resource history entries when
//		you change them.
//
//	Use:
//		This is a basic module to exemplify all the typical
//		functions a filter module will do with a special
//		emphasis on assessing properties and writing
//		pseudo-resources.
//
//-------------------------------------------------------------------------------

//-------------------------------------------------------------------------------
//	Definitions -- Scripting keys
//-------------------------------------------------------------------------------

#define keyMyNudgeH			'nudH'
#define keyMyNudgeV			'nudV'
#define keyMyHorizontal		keyHorizontal
#define keyMyVertical		keyVertical
#define keyMyGridMajor		'grMJ'
#define keyMyGridMinor		'grMN'
#define keyMyWatch			'watc'
#define keyMyCopyright		'cpYR'
#define keyMyURL			keyURL
#define keyMyWater			'wate'
#define keyMySliceID		'slID'
#define keyMySliceIndex		'slIn'
#define keyMyXMP			'mXMP'

//-------------------------------------------------------------------------------
//	Definitions -- Resources
//-------------------------------------------------------------------------------

#define histResource		'hist'
#define kHistoryEntry		16989

#define kUnits				16100

//-------------------------------------------------------------------------------
// end PropetizerTerminology.h
